2008-05-15  Tim Moore  <timoore@redhat.com>

	* disassembler/DisassemblyWindow.java (setTask, resetTask): Use
	lib.dwfl.Disassembler.
	* memory/MemoryWindow.java (setTask, resetTask, refreshList):
	Ditto.

2008-04-17  Andrew Cagney  <cagney@redhat.com>

	* disassembler/DisassemblyWindowFactory.java: Use
	frysk.config.Prefix.gladeFile(String)
	* test/TestWindowFactorization.java: Ditto.
	* register/RegisterWindowFactory.java: Ditto.
	* Gui.java: Ditto.
	* memory/MemoryWindowFactory.java: Ditto.
	* TestGlade.java: Ditto.

	* FryskHelpManager.java: Use frysk.config.Prefix.

	* disassembler/DisassemblyWindowFactory.java: Use
	frysk.config.Prefix.

2008-04-16  Andrew Cagney  <cagney@redhat.com>

	* FryskGui.java-in: Use @root_srcdir@; for tests that need the
	relative path.

2008-04-14  Andrew Cagney  <cagney@redhat.com>

	* test/GuiTestCase.java: Move getFryskTestDir() to here.

2008-04-01  Petr Machata  <pmachata@redhat.com>

	* disassembler/DisassemblyWindow.java: Call getAddresses instead of getSymbol.
	* memory/MemoryWindow.java: Likewise.

2008-03-17  Sami Wagiaalla  <swagiaal@redhat.com>

	* test/StressTestJGMemory.java: New test.
	
2008-03-17  Sami Wagiaalla  <swagiaal@redhat.com>

	* test/TestJGMemory.java: New test.

2008-03-10  Andrew Cagney  <cagney@redhat.com>

	* Gui.java: Use EventLogger.getLogger().

2008-03-03  Andrew Cagney  <cagney@redhat.com>

	* test/GuiTestCase.java: Use frysk.config.
	* register/RegisterWindowFactory.java: Ditto.
	* sessions/SessionManager.java: Ditto.
	* memory/MemoryWindowFactory.java: Ditto.
	* Gui.java: Ditto.
	* FryskHelpManager.java: Ditto.
	* FryskGui.java-in: Ditto.
	* disassembler/DisassemblyWindowFactory.java: Ditto.
	* test/TestWindowFactorization.java: Ditto.
	* TestGlade.java: Ditto.

2008-02-27  Sami Wagiaalla  <swagiaal@redhat.com> 

	* Gui.java: Moved resh code to ProWiseDataModel.

2008-02-27  Sami Wagiaalla  <swagiaal@redhat.com>

	Deleted PickProcDialog.java.
	* TestGlade.java (testGladeLoading): Updated.

2008-02-27  Sami Wagiaalla  <swagiaal@redhat.com>

	datamodels/FlatProcObservableLinkedList.java: Deleted
	ProgramObserverDialog.java: Deleted.
	* Gui.java: Updated.

2008-02-13  Andrew Cagney  <cagney@redhat.com>

	* Gui.java: Update to match frysk.sys.Signal.

2008-02-07  Andrew Cagney  <cagney@redhat.com>

	* Gui.java: Delete call to Host.requestRefreshXXX().

2008-01-24  Andrew Cagney  <cagney@redhat.com>

	* register/RegisterWindow.java: Update; Register moved to
	frysk.isa.registers.

2008-01-07  Andrew Cagney  <cagney@redhat.com>

	* test/TestWindowFactorization.java: Delete Task.getIsa() call.

	* disassembler/DisassemblyWindow.java: Update; use Task.getPC().
	* memory/MemoryWindow.java: Ditto.

2008-01-02  Andrew Cagney  <cagney@redhat.com>

	* test/TestWindowFactorization.java: Update; frysk.proc.dummy.Proc
	renamed to .DummyProc and frysk.proc.dummy.Task renamed to
	.DummyTask.

2007-12-05  Andrew Cagney  <cagney@redhat.com>

	Merge frysk.sys.Sig into frysk.sys.Signal.
	* Gui.java: Update.

2007-11-02  Zhao Shujing <pearly.zhao@oracle.com>

	* memory/MemoryWindow.java: Change the data visualization as a grid
	display. Fixes #4623.
	* gladedir/memorywindow.glade: Remove toBox and toSpin.

2007-10-30  Andrew Cagney  <cagney@redhat.com>

	* FryskGui.java-in: Rename FryskGui.javain.

2007-10-26  Zhao Shujing <pearly.zhao@oracle.com>
	
	* gladedir/disassemblywindow.glade: Remove the GtkWindow Warning.

2007-10-16  Tim Moore  <timoore@redhat.com>

	* MemoryWindow.java (setTask, resetTask): Restore
	getISA().wordSize() use that got clobbered by the last change to
	MemoryWindow.

2007-10-16  Zhao Shujing <pearly.zhao@oracle.com>

	* gladedir/memorywindow.glade: Remove "Number of bits:" label and
	bitsCombo.
	* memory/MemoryFormatDialog.java (CellRendererToggleListener): Only
	one format are selected to display every time.
	* memory/MemoryWindow.java: Add a "Raw-bytes (Hexadecimal)" column.
	Fixs #4675.

2007-10-14  Andrew Cagney  <cagney@redhat.com>

	* memory/MemoryWindow.java (setTask(Task)): Use Task.getISA()
	instead of instanceof.
	
	* memory/MemoryWindow.java: Update; use ISA .wordSize().
	* disassembler/DisassemblyWindow.java: Ditto.

2007-10-05  Andrew Cagney  <cagney@redhat.com>

	* gladedir/disassemblywindow.glade: Change id "Warning!" to
	"Warning".
	* gladedir/frysk_debug.glade: Remove <requires lib="gnome"/>.

2007-10-02  Andrew Cagney  <cagney@redhat.com>

	* register/RegisterWindow.java: Update; use frysk.isa.ISA.

2007-10-01  Andrew Cagney  <cagney@redhat.com>

	* register/RegisterWindow.java: Update; use
	RegisterGroup.getRegisters(), Register.getType(), and
	Register.getName()

2007-09-30  Zhao Shujing <pearly.zhao@oracle.com>
	
	* gladedir/memorywindow.glade: Change the top text "current program
	counter" to segment combox. Fixes #4614 and #4619.
	* gladedir/disassemblywindow.glade: Ditto.
	* memory/MemoryWindow.java: Added handling for segment.
	Added warning dialogs when the address can't be accessed and wne the
	symbol is not in current context.
	Added handling when too many rows be added. Fixes #4870. 
	* diassembler/DisassemblyWindow.java: Ditto.

2007-09-27  Andrew Cagney  <cagney@redhat.com>

	* register/RegisterWindow.java (setValues): Use RegistersFactory;
	display the default group.
	
	Move frysk.stack.Register to frysk.isa.Register.
	* register/RegisterWindow.java: Update.

2007-09-25  Zhao Shujing <pearly.zhao@oracle.com>
	
	* memory/MemoryWindow.java: Fixes #4674.
	* gladedir/memorywindow.glade: Change adjustment to eight.

2007-09-21  Zhao Shujing <pearly.zhao@oracle.com>

	* memory/MemoryWindow.java(handleSymbol): Added to handle symbol name.
	* disassembler/DisassemblyWindow.java: Ditto.
	(rowAppend): Add parameter for the instructions that maybe be added.

2007-09-07  Zhao Shujing <pearly.zhao@oracle.com>
	
	* memory/MemoryWindow.java: When right-click up or down spin
	button, it would be ignored. When access invalid memory address,
	the requirement would be ignored. Fixes #4621 #4622 and # 4613
	* disassembler/DisassemblyWindow.java: Ditto.

2007-09-03  Zhao Shujing <pearly.zhao@oracle.com>

	* memory/MemoryWindow.java: Fixed #4617.
	Fixed bug with incorrect converting when memory value is negative.
	Add prefix zero to octal format.

2007-08-31  Andrew Cagney  <cagney@redhat.com>

	* register/RegisterWindow.java: Use Type(String,ByteOrder,int) and
	derivatives.

2007-08-30  Adam Jocksch  <ajocksch@redhat.com>

	* sessions/WatchList.java (removeVariable): Clarified
	comment.

	* sessions/WatchList.java (removeVariable): Now uses
	Display.getName rather than the method from Value.

2007-08-29  Andrew Cagney  <cagney@redhat.com>

	* register/RegisterWindow.java: Delete calls to
	Type.getTypeIdFIXME.

2007-08-28  Zhao Shujing <pearly.zhao@oracle.com>
	
	* memory/MemoryWindow.java: Fixes #4672.

2007-08-21  Zhao Shujing <pearly.zhao@oracle.com>

	* disassembler/DisassemblyWindow.java: Fixes #4672. 
	(fromBox.entryEvent): Use fromSpin.setValue to invoke fromSpin
	entryEvent.
	(toBox.entryEvent): Ditto.
	(refreshList): Change to get next instruction after setValue to model
	is finished.
	(rowPrepend): New function.
	(handleFromSpin): Prepend rows provided by rowPrepend and remove
	redundant instructions according to the change of memory address.
	Fixes #4929.

2007-08-19  Andrew Cagney  <cagney@redhat.com>

	* register/RegisterWindow.java: Instantiate UnsignedType instead
	of IntegerType.

2007-08-15  Andrew Cagney  <cagney@redhat.com>

	* register/RegisterWindow.java: Replace Type.getName with
	Type.toPrint.
	* sessions/WatchList.java: Ditto.
	
	* register/RegisterWindow.java: Use IntegerType and
	FloatingPointType.
	
	* register/RegisterWindow.java: Type.getTypeId renamed to
	Type.getTypeIdFIXME.

2007-08-14  Andrew Cagney  <cagney@redhat.com>

	* register/RegisterWindow.java (stringUsingValue): Re-implement
	using Value.toPrint.
	(refreshList): Remove hard-wired 0x prefix from hex output.

2007-08-14 Zhao Shujing <pearly.zhao@oracle.com>

	* memory/MemoryWindow.java (fromBox.entryEvent): Use fromSpin.setValue 
	to invoke fromSpin entryEvent.
	(toBox.entryEvent): Ditto.
	(handleToSpin):Ditto.	
	(handleFromSpin):Prepend row from high address to low address.

2007-08-13  Nurdin Premji  <npremji@redhat.com>

	* register/RegisterWindow.java (stringUsingValue): Added.
	(stringUsingView): Removed.
	(setValues): Added, uses frysk.stack.Registers.
	(resetList): Use setValues.
	(setTask): Ditto.
	(resetTask): Ditto.
	(refreshList): Change to use Values.
	(saveBinaryValue): Ditto.
	(writeBinaryValue): Change to use frysk.stack.Register.
	(cols): name each individual column.

2007-08-13  Andrew Cagney  <cagney@redhat.com>

	* sessions/WatchList.java: Replace Value.getText with
	Value.getTextFIXME.

2007-08-09  Andrew Cagney  <cagney@redhat.com>

	* test/GuiTestLib.java: Delete.

2007-07-28  Andrew Cagney  <cagney@redhat.com>

	* test/GuiTestLib.java: Use Config.getPkgLibFile.

2007-07-27  Zhao Shujing  <pearly.zhao@oracle.com>

	* memory/MemoryWindow.java: fromBox and toBox can be edited. Fixes
	#4612.
	* memory/MemoryWindow.java (handleFromSpin): synchronously display
	column and fromBox when adjust the fromSpin.
	* disassembler/DisassemblyWindow.java: fromBox and toBox can be edited.
	* disassembler/DisassemblyWindow.java (rowAppend): synchronously display
	column and toBox when adjust the toSpin.

2007-07-27  Mike Cvet  <mcvet@redhat.com>

	* register/RegisterWindowFactory.java: Updated to reference SteppingEngine 
	move to frysk.stepping.
	* register/RegisterWindow.java: Ditto.
	* memory/MemoryWindowFactory.java: Ditto.
	* memory/MemoryWindow.java: Ditto.
	* disassembler/DisassemblyWindowFactory.java: Ditto.
	* disassembler/DisassemblyWindow.java: Ditto.

2007-07-19  Adam Jocksch  <ajocksch@redhat.com>

	* sessions/WatchListListener.java: Reformatted.
	(variableWatchAdded): New method.
	(variableWatchDeleted): New method.
	(variableWatchChanged): Now takes a display instead of a value.
	* sessions/WatchList.java: Reformatted.
	(addVariable): Now takes a display.
	(removeVariable): Ditto.
	(clearVariables): Now notifies observers of the individual deletions.
	(save): Refactored to reflect that we are now storing displays.
	(notifyListenersAdded): New method.
	(nofityListenersRemoved): Ditto.
	(notifyListenersUpdated): Renamed from notifyListeners.

2007-07-16  Mark Wielaard  <mwielaard@redhat.com>

	* gladedir/frysk_create_session_druid.glade (label128):
	Monitoring. Fixed spelling of Session.

2007-07-10  Rick Moseley  <rmoseley@redhat.com>

	* druid.CreateFryskSessionDruid.java: Activate a new source
	window when attaching to a running process instead of trying
	to attach to an existing window.

2007-07-04  Andrew Cagney  <cagney@redhat.com>

	* disassembler/DisassemblyWindow.java: Do not catch
	OpcodesException.  Use List, not LinkedList.
	* memory/MemoryWindow.java: Ditto.

2007-06-28  Sami Wagiaalla  <swagiaal@redhat.com>

	* druid/CreateFryskSessionDruid.java (WarningType.CHOOSE_NAME): New
	warining type.
	(validateSessionName): Added checking for empty session name.
	(setWarning): Added handling for new warining type.
	
2007-06-28  Sami Wagiaalla  <swagiaal@redhat.com>

	* druid/CreateFryskSessionDruid.java (validateSessionName): replaced
	nameEntry.getName() with nameEntry.getText().
	Made the name entry change cause a page recheck instead of a name only
	recheck.

2007-06-20  Kris Van Hees  <kris.van.hees@oracle.com>

	* memory/MemoryWindow.java (setTask, resetTask): Set the valid range
	of the fromSpin and toSpin buttons from 0 to the highest address for
	the task's ISA (2^wordsize - 1).
	* disassembler/DisassemblyWindow.java (setTask, resetTask): Set the
	valid range of the fromSpin and toSpin buttons from 0 to the highest
	address for the task's ISA (2^wordsize - 1).

2007-06-19  Mike Cvet  <mcvet@redhat.com>

	* disassembler/DisassemblyWindow.java (LockObserver.update): Now
	expects TaskStepEngine parameter rather than null or Task object.
	* memory/MemoryWindow.java (LockObserver.update): Ditto.
	* register/RegisterWindow.java (LockObserver.update): Ditto.

2007-06-18  Rick Moseley  <rmoseley@redhat.com>

	* druid/CreateFryskSessionDruid.java (presentProcLister):
	New method for SourceWindow.java to attach to running
	processes.

2007-06-15  Mike Cvet  <mcvet@redhat.com>

	* gladedir/disassemblywindow.glade: Changed current PC entry box
	to label.
	* gladedir/memorywindow.glade: Ditto.
	* disassembler/DisassemblyWindow.java (pcLabelDec): Changed to
	Label from pcEntryDec.
	(pcLabelHex): Changed to Label from pcEntryHex.
	* memory/MemoryWindow.java (pcLabelDec): Ditto.
	(pcLabelHex): Ditto.

2007-06-13  Nurdin Premji  <npremji@redhat.com>

	* Gui.java (gui): Use a CommandlineParser to parse command line options.

2007-06-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* druid/CreateFryskSessionDruid.java (setTitle): used 
	SessionType.getName() instad of SessionType.toString. 

2007-06-11  Mike Cvet  <mcvet@redhat.com>

	* memory/MemoryWindow.java (setTask): Default to reading 64-bit words
	on 64-bit platforms.
	(setTask.formatDialog.lifeCycleEvent): Refresh display on dialog exit.
	(setTask.bitsCombo.comboBoxEvent): Update column titles on new bit
	selection.
	* disassembler/DisassemblyWindow.java (setTask): Hide format button
	instead of shading out.
	(handleToSpin): Fix a couple of spinning bugs.

2007-06-11  Rick Moseley  <rmoseley@redhat.com>

	* gladedir/frysk_create_session_druid.glade: Fix tooltips so they
	reflect both monitoring/debugging point-of-views.

2007-06-11  Sami Wagiaalla  <swagiaal@redhat.com>

	* druid/CreateFryskSessionDruid.java (setEditSessionMode): Removed
	refiltering of data. Fixes 4603.

2007-06-09  Mike Cvet  <mcvet@redhat.com>

	* disassembler/DisassemblyWindowFactory.java: General fixups for new
	dynamic SteppingEngine class.
	(seMap): Added.
	* memory/MemoryWindowFactory.java: Ditto.
	* register/RegisterWindowFactory.java: Ditto.

2007-06-07  Sami Wagiaalla  <swagiaal@redhat.com>

	* sessions/SessionManager.java (saveSession): New method.
	(renameSession): New method.
	* sessions/Session.java (SessionType.toString): Changed it to print
	name as well as the object's hashCode.
	* druid/CreateFryskSessionDruid.java (.entryEvent): Now ignores
	DELETE_TEXT events.
	Now uses SessionManager.renameSession() instead of session.setName().
	(.entryEvent): Removed debug print statement.

2007-06-07  Sami Wagiaalla  <swagiaal@redhat.com>

	* sessions/ProcessPicker.java: Deleted. ProcessPicker in the druid
	should be used instead.

2007-06-06  Sami Wagiaalla  <swagiaal@redhat.com>

	* sessions/SessionManager.java: Now creates the Sessions directory
	if it has not been created.

2007-05-22  Andrew Cagney  <cagney@redhat.com>

	* Gui.java: Call frysk.proc.Host.requestRefreshXXX() instead of
	.requestRefreshXXX(true).

2007-05-15  Sami Wagiaalla  <swagiaal@redhat.com>

	* sessions/Session.java: Removed suer.toString from SessionType
	.toString.
	* druid/CreateFryskSessionDruid.java: Added names to DruidMode.
	Changed title setting to include session type.

2007-05-11  Rick Moseley  <rmoseley@redhat.com>

	* gladedir/frysk_filechooser.glade: Removed environment
	variable field; added button to select if terminal window
	should be activated.

2007-05-11  Sami Wagiaalla  <swagiaal@redhat.com>

	* test/TestSessionSaveLoad.java: Added test for saving/loading
	SessionTypes.
	* test/GuiTestCase.java (setUp): Moved initialization of files to here.
	* sessions/SessionManager.java (SessionManager): Added isDirectory check.
	* sessions/Session.java (SessionType.toString): New function.
	* druid/CreateFryskSessionDruid.java (loadSessionMode): setCurrentSession
	is now called before setUpCurrentPage. Fix for bz 4485.

2007-05-10  Andrew Cagney  <cagney@redhat.com>

	* test/TestWindowFactorization.java: Replace references to
	frysk.proc.DummyProc and frysk.proc.DummyTask with
	frysk.proc.dummy.Proc and frysk.proc.dummy.Task.

2007-05-10  Adam Jocksch <ajocksch@redhat.com>

	* sessions/WatchDescription.java: New File.
	* sessions/WatchList.java (getDescriptionIterator): Added.
	(getWatchSize): Ditto.
	(getDescriptionSize): Ditto.
	(load): When saved watches are read in, they are now instantiated
	as WatchDescriptions.
	(save): Now checks shouldSave.

2007-05-09  Rick Moseley  <rmoseley@redhat.com>

	* console/ConsoleWindow.java: Renamed from vtecli.

2007-05-09  Sami Wagiaalla  <swagiaal@redhat.com>

	* test/GuiTestCase.java: Replaced calls to File(path+name) with
	File(file,name) calls.
	* druid/CreateFryskSessionDruid.java: Removed setProcessNext.
	Added support of adding session type to session name suggested.

2007-05-09  Mike Cvet  <mcvet@redhat.com>

	* sessions/Session.java (startSession): Compile Procs lists from all 
	DebugProcesses for a debugging session into a single LinkedList and 
	build the SourceWindow from that instead. Fixes #4478.

2007-05-08  Andrew Cagney  <cagney@redhat.com>

	* sessions/WatchList.java: Update.  Now using Variable
	.getFilepathXXX and Variable .getLineNoXXX.

2007-05-03  Sami Wagiaalla  <swagiaal@redhat.com>

	* test/GuiTestCase.java: New file.
	* test/TestWindowFactorization.java: Now extends GuiTestCase and
	calls super.setUp().
	* test/TestPrototypeCopying.java: Now extends GuiTestCase.
	Changed it to pass OBSERVERS_TEST_DIR when constructing 
	ObserverManager.
	* test/TestSessionSaveLoad.java: Ditto.
	* test/TestTagsetSaveLoad.java: Ditto.
	* test/TestFilterManager.java: Removed duplicate addtion of 
	taskProcParentNameFilter.
	* sessions/SessionManager.java: Changed constructor to take a file
	argument represnting save directory.
	Replaced use of String paths with Files.
	* Gui.java: Changed code to use File instead of String paths.

2007-05-03  Adam Jocksch  <ajocksch@redhat.com>

	* sessions/DebugProcess.java (watchedVars): Added.
	(getWatchList): Added.
	(save): Now calls save on watchedVars.'
	* sessions/WatchList.java: New file.
	* sessions/WatchListListener.java: New file.

2007-04-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* gladedir/procpop.glade: Removed left hand side process view.

2007-04-27  Mike Cvet  <mcvet@redhat.com>
	
	* disassembler/DisassemblyWindow.java (refreshLock): Added. Prevents
	event threads firing refresh requests simultaneously. Fixes #4433.
	(formatDialog.lifeCycleEvent): Removed refresh call.
	(fromSpin.spinEvent): Check refreshLock before refreshing.
	(toSpin.spinEvent): Ditto.
	(fromBox.entryEvent): Ditto.
	(toBox.entryEvent): Ditto.
	(resetTask): Set and unset refreshLock.
	(resetPCAndList): Ditto.
	(refreshList): Synchronized. Now uses global ListStore rather than
	grabbing the Store off of the View each time. Removed a redundant
	setValue() call.
	* memory/MemoryWindow.java (refreshLock): Added. Same as above.
	(formatDialog.lifeCycleEvent): Ditto.
	(fromSpin.spinEvent): Ditto.
	(toSpin.spinEvent): Ditto.
	(fromBox.entryEvent): Ditto.
	(toBox.entryEvent): Ditto.
	(resetTask): Ditto.
	(resetPCAndList): Ditto.
	(refreshList): Synchronized, uses global ListStore.

2007-04-24  Sami Wagiaalla  <swagiaal@redhat.com>

	* sessions/Session.java: used getNiceExecutablePath in place
	of getFullExecutablePath.

2007-04-24  swagiaal  <swagiaal@redhat.com>

	* druid/CreateFryskSessionDruid.java (changeGroupState): Removed check
	null pointers in selectedProcs array.

2007-04-24  Sami Wagiaalla  <swagiaal@redhat.com>

	* sessions/Session.java: Added SessionType class.
	Added handling for setting/getting the session type.
	Added handling for starting a session of a particular type.
	* gladedir/frysk_create_session_druid.glade: Added Radio buttons
	for choosing sesion type to the first page.
	* druid/CreateFryskSessionDruid.java: Removed Quick Debug button.
	Added handling for radio buttons to select session type.
	Removed commented out code.
	Refactored validation code: added mtheods for handling it
	validateCurrentPage() validateSessionName() currentPageValid() 
	currentPageInvalid().
	
2007-04-24  Adam Jocksch  <ajocksch@redhat.com>

	* Gui.java (initializePreferences): Now sets line numbers to be
	disabled by default.

2007-04-20  Rick Moseley  <rmoseley@redhat.com>

	* gladedir/frysk_source.glade: Rename to frysk_debug.glade; change
	window title to "Frysk Debug Window".
	* gladedir/frysk_source.gladep: Rename to frysk_debug.gladep.

2007-04-19  Mike Cvet  <mcvet@redhat.com>

	* disassembler/DisassemblyWindowFactory.java: SteppingEngine fixes.
	* memory/MemoryWindowFactory.java: Ditto.
	* register/RegisterWindowFactory.java: Ditto.

2007-04-17  Sami Wagiaalla  <swagiaal@redhat.com>

	* sessions/SessionManager.java: Added check for trying to add a 
	Session which has already been previously added to the manager.
	* sessions/Session.java: Added boolean setter/getter for checking
	whether procs have already been added to this session or not.
	* gladedir/procpop.glade: Left indent the button labeles in Observers
	Dialog.
	* gladedir/frysk_session_manager.glade: Changed the dialog title from
	Frysk Startup Manager to Frysk Session Manager.
	* gladedir/frysk_create_session_druid.glade: Added first introductory
	page to the druid.
	* druid/CreateFryskSessionDruid.java: Added public static variables for
	page numbers.
	Fixed bug with name entry not being set when editing session.
	Fixed bug with incorrect button sensitivity.
	Added first introductory page handling.
	Added a private function and global variables for setting warning
	dialogs.

2007-04-16  swagiaal  <swagiaal@redhat.com>

	* sessions/Session.java (setName): Added check for client trying to set
	the name of the session to an empty String.
	* druid/CreateFryskSessionDruid.java (loadSessionMode): Used 
	collectProcsByExecutablePath() instead of coolectProcs().
	Made nameEntry ingnore DELETE events.

2007-04-13  Rick Moseley  <rmoseley@redhat.com>

	* gladedir/frysk_filechooser.glade: Remove redundant buttons.

2007-04-12  Sami Wagiaalla  <swagiaal@redhat.com>

	* sessions/SessionManager.java: Added check when setting the current
	session to avoid resetting the current session to itself.
	* sessions/DebugProcess.java: Removed handling of process exiting
	(this is now handled by GuiTask).
	Added checks for whether a task is alive/dead before applying/
	removing observers.
	* gladedir/procpop.glade: Added Edit Session, and Session Manager
	menue items.
	* druid/CreateFryskSessionDruid.java: Added a call to save the
	SessionManager when the close button is hit.

2007-04-10  swagiaal  <swagiaal@redhat.com>

	* sessions/Session.java: Removed print statements.

2007-04-09  Sami Wagiaalla  <swagiaal@redhat.com>

	* Recommiting 2007-04-05 Sami Wagiaalla <swagiaal@redhat.com> change.
	* test/TestSessionSaveLoad.java: Changed mySavedSession.addProcess(debugProcess)
	to mySavedSession.addDebugProcess(debugProcess).
	
2007-04-09  Rick Moseley  <rmoseley@redhat.com>

	* gladedir/frysk_filechooser.glade: Minor change for data entry
	stuff.
	* gladedir/frysk_filechooser.gladep: Ditto.

2007-04-05  Andrew Cagney  <cagney@redhat.com>

	* Revert 2007-04-05 Sami Wagiaalla <swagiaal@redhat.com> change.

2007-04-05  Sami Wagiaalla  <swagiaal@redhat.com>

	* sessions/Session.java: Deleted initDefaultObservers; now
	done by CreateFryskSessionDruid.
	Added addGuiProc().
	Renamed add/removeProcess to add/removeDebugProcess.
	Removed previousSession reference and getter.
	* sessions/DebugProcess.java: Added setter and getter for 
	executablePath.
	Removed {save/load}Observers(); now down by session.
	* gladedir/frysk_create_session_druid.glade: Added a constant
	width to all the dialog buttons.
	Added close button to be used for instant apply versions.
	Removed the observers page and replaced it with the content of
	ObserversDialog.
	* druid/CreateFryskSessionDruid.java: Delete currentSession
	reference in favor of using
	SessionManager.theManager.getCurrentSession().
	Removed booleans loadSession, and editSession.
	Added class DruidMode setter and getter for druidMode, and used
	that instead of booleans.
	Removed all code wich added/remove observers from Session.

2007-04-03  Rick Moseley  <rmoseley@redhat.com>

	* gladedir/frysk_filechooser.glade: New.
	* gladedir/frysk_filechooser.gladep: New.

2007-04-03  Mike Cvet  <mcvet@redhat.com>

	* RegisterWindowFactory.java: Removed references to SourceWindowFactory
	data structures.
	(unblockProc): Removed.
	* MemoryWindowFactory.java: Ditto.
	(unblockProc): Ditto.
	* DisassemblyWindowFactory.java: Ditto.
	(unblockProc): Ditto.

2007-04-02  Mark Wielaard  <mark@klomp.org>

	* test/GuiTestLib.java (logger): Use frysk.gui.test for getLogger().
	* monitor/WindowManager.java (logger): Likewise.

2007-03-30  Mike Cvet  <mcvet@redhat.com>

	* druid/CreateFryskSessionDruid.java (.buttonEvent): Updated to build
	array of selected processes to send to SourceWindowFactory, for #4214.
	* DisassemblyWindowFactory.java (.lifeCycleQuery): Update call to 
	RunState.removeObserver to include observed process.
	* MemoryWindowFactory.java (.lifeCycleQuery): Ditto.
	* RegisterWindowFactory.java (.lifeCycleQuery): Ditto.

2007-03-28  Sami Wagiaalla  <swagiaal@redhat.com>

	* test/TestSessionSaveLoad.java: Added testing for adding/removing
	saving/loading of obserers to/from Sessions.
	* test/TestPrototypeCopying.java: Uses ObserverManager.getCopy()
	instead of getCopy() directly to the object.
	* sessions/SessionManager.java: Added support for keeping track
	and notifiying interested parties of the currently active session.
	* sessions/Session.java: Added support for add/removing saving
	and loading Observers at the sesion level.
	* sessions/ProcessPicker.java: Removed use of 
	DebugProcess.addRemoveObservers(), and 
	DebugProcess.addProcsMinusObserver();
	* sessions/DebugProcess.java: removed addObservers().
	(initListObservers): New function.
	(addObserver): Made method protected.
	(addObservers); Removed.
	(addAllObservers): New method.
	(removeAllObservers): New method.
	(addObserverToAllProcs): New method.
	(removeObserverFromAllProcs): New method.
	(addProcsMinusObservers): Removed
	(addRemoveObservers): Removed
	(getObservers): Changed from public to Protected.
	(removeObserver): Ditto.
	(loadObservers): New method.
	(saveObservers): New method.
	* druid/CreateFryskSessionDruid.java: Repaced use of
	DebugProcess.getObservers() with Session.getObservers().
	Replaced DebugProcess.addObserver() with Session.addObserver().
	Replaced WindowManager.setCurrentSession() with
	SessionManager.setCurrentSession().
	* SessionManagerGui.java: Renamed this...
	* SessionManagerDialog.java: ... to this.
	* Gui.java: Renamed GuiSessionManager to SessionManagerDialog.
	* TestGlade.java: Ditto.
	
2007-03-26  Mike Cvet  <mcvet@redhat.com>

	* gladedir/frysk_source.glade: Temporarily removed "Mixed" from 
	combobox entries.

2007-03-26  Sami Wagiaalla  <swagiaal@redhat.com>

	* test/TestPrototypeCopying.java: Added test for copying of filter
	boolean value.
	* test/TestObserverSaveLoad.java: Added test for filter boolean value.
	* gladedir/procpop.glade: Added "Observer Discription" feild to Edit
	Observer Dialog.

2007-03-20  Sami Wagiaalla  <swagiaal@redhat.com>

	* gladedir/procpop.glade: Removed apply button from Observers Dialog.
	Fix for bz 3067

2007-03-15  Sami Wagiaalla  <swagiaal@redhat.com>

	* sessions/Session.java: Added specific observers to be added to processes
	by default. Fix for bz 4165.
	* sessions/DebugProcess.java: Removed call to logWindow.print().
	* gladedir/procpop.glade: Renamed Main Log to Summary
	* druid/CreateFryskSessionDruid.java (.buttonEvent): Added call to hide
	terminal.
	* TestGlade.java: Renamed logWindow to summaryWindow.

2007-03-14  Sami Wagiaalla  <swagiaal@redhat.com>

	* gladedir/frysk_create_session_druid.glade: Made druid modal Fix for
	bz 2642.
	* druid/CreateFryskSessionDruid.java: Initialized initialSessionName.

2007-03-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* druid/CreateFryskSessionDruid.java (changeGroupState): if a no name is 
	set for the session the name of the first added process is used. Fix for
	bz 4155.

2007-03-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* druid/CreateFryskSessionDruid.java (setEditSessionMode): Dialog title
	now contains the name of the session under concideration. Fix for bz# 4154.

2007-03-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* druid/CreateFryskSessionDruid.java (deFilterPath): Added call to
	ProcWiseTreeview to defilter TreePaths.

2007-03-08  Mike Cvet  <mcvet@redhat.com>

	* druid/CreateFryskSessionDruid.java (setUpCurrentPage): Hide the 'quick
	debug' button from the observer page. Fixes #4164.

2007-03-07  Mike Cvet  <mcvet@redhat.com>

	* register/RegisterWindow.java (refreshList): Set radix properly for octal
	values. Fixes #4140.
	
	* memory/MemoryWindow.java (lastPath): Added. Keeps track of the end of the
	ListStore. Fixes #4136.
	(handleFromSpin): Updated to use lastPath.
	(handleToSpin): Updated to use lastPath.
	* disassembler/DisassemblyWindow.java (lastPath): Added. Keeps track of the
	end of the ListStore. Fixes #4136.
	(handleFromSpin): Updated to use lastPath.
	(handleToSpin): UPdated to use lastPath.
	* gladedir/disassemblywindow.glade: Updated.
	* gladedir/memorywindow.glade: Ditto.

2007-03-06  Mike Cvet  <mcvet@redhat.com>

	* druid/CreateFryskSessionDruid.java: Removed references to "process groups".

2007-03-06  sami wagiaalla  <swagiaal@redhat.com>

	* gladedir/procpop.glade: Added a toolbar to the main window.

2007-02-27  Mike Cvet  <mcvet@redhat.com>

	* disassembler/DisassemblyWindow.java (handleToSpin): Used TreePath
	to reverse-iterate back up the ListStore. Fixes #3464.

2007-02-26  Mike Cvet  <mcvet@redhat.com>

	* memory/MemoryWindow.java (resetPCAndList): Fixed bug preventing
	window from refreshing properly after a step.
	* disassembler/DisassemblyWindow.java (resetPCAndList): Ditto.

2007-02-26  Sami Wagiaalla  <swagiaal@redhat.com>

	* gladedir/procpop.glade: Removed statusVPaned, used a VBox instead
	Added proper spacing to the VBox.
	Added 6 pixel border to statusWidget.
	
2007-02-26  Tim Moore  <timoore@redhat.com>

	* Gui.java (setupCoreLogging): Get frysk logger from LogManager,
	handler from EventHandler.

2007-02-23  Mike Cvet  <mcvet@redhat.com>

	* gladedir/frysk_source.glade: Changed sizing settings.

2007-02-22  Mike Cvet  <mcvet@redhat.com>

	* druid/CreateFryskSessionDruid.java (debugButton.buttonEvent):
	Fixed a TreeView selection bug.

2007-02-21  Mike Cvet  <mcvet@redhat.com>

	* druid/CreateFryskSessionDruid.java (addedProcsTreeView): 
	Changed from a ListView to a ProcWiseTreeView. Fixes
	#4010.
	(procMap): Added. Keeps track of DebugProcesses belonging
	to certain GuiProcs.
	(addProcessParent): Add DebugProcess to procMap.
	(getProcessSelectionControls): Explicitly call
	ProcWiseTreeView.setFilter(). Initialize new addedProcsTreeView.
	Get DebugProcesses from procMap.
	(finishButton.buttonEvent): Clear procMap.
	(attachLinkedListsToWidgets): Remove call to watchGuiProcs for
	addedProcsTreeView.
	* gladedir/frysk_create_session_druid.glade: Resized treeviews.

2007-02-14  Mike Cvet  <mcvet@redhat.com>

	* druid/CreateFryskSessionDruid.java (getDruidStructureControls):
	Added some code to check the left-hand tree for selections even if
	the right hand-side was empty. Fixes #4038.

2007-02-09  Mike Cvet  <mcvet@redhat.com>

	* disassembler/DisassemblyWindow.java (resetTask): Removed redundant 
	Disassembler initialization.
	* memory/MemoryWindow.java (resetTask): Ditto.

2007-02-08  sami wagiaalla  <swagiaal@redhat.com>

	* test/dogtail_scripts/credits.py: changed logWriter.writeResult
	to logWriter.log (port to 0.6.1). 
	Changed to extend fryskTestCase.
	* test/dogtail_scripts/eventViewerAccessibilityInfo.py: Ditto.
	* test/dogtail_scripts/druid.py: Ditto.
	* test/dogtail_scripts/viewerMarkers.py: Ditto.
	* test/dogtail_scripts/viewerButtons.py: Ditto.
	* test/dogtail_scripts/test3380.py: Ditto.
	* test/dogtail_scripts/test2985.py: Ditto.
	* test/dogtail_scripts/test2866.py: Ditto.
	* test/dogtail_scripts/stressDruid.py: Ditto.
	* test/dogtail_scripts/observerData.py: Ditto.
	* test/dogtail_scripts/license.py: Ditto.
	* test/dogtail_scripts/guiWalkTest.py: Ditto.
	* test/dogtail_scripts/frysk_suite.in: removed imports of viewerButtons
	and vidwerMarkers.
	Added import eventviewerAccessibilityInfo.
	Added check for required Dogtail version.
	* test/dogtail_scripts/FryskHelpers.py: changed logWriter.writeResult
	to logWriter.log (port to 0.6.1).
	made code parse for process name when adding observer (compat with
	monitor changes).
	* test/dogtail_scripts/fryskTestCase.py: New file.
	Added check for required Dogtail version.

2007-02-06  Mike Cvet  <mcvet@redhat.com>

	* SessionManagerGui.java (previousSession): Removed.
	(debugSingleProcess): Ditto.
	(debugSingleProcessAction): Ditto.
	(processPicker): Ditto.
	(getDebugSingleProcess): Ditto.
	(setButtonStates): Removed references to debugging state.
	(getSessionManagementControls): Removed references to RadioButtons.
	(openSession): No longer initializes a ProcessPicker, builds a Terminal,
	or handles popup windows. Hands the selected process to the druid. Fixes 
	#3978, #3921.
	* druid/CreateFryskSessionDruid.java (debugButton): Added.
	(loadSession): Ditto.
	(setNewSession): Make sure to enable 'quick debug' button. Fixes #3922.
	(setEditSessionMode): Collects all DebugProcesses and Observers from
	saved session; add all currently-running processes of the same name as
	saved processes to the current session. Also add all saved observers to 
	all DebugProcesses.
	(loadSessionMode): Added. Functionally similar to setEditSessionMode(),
	makes safe assumptions about saved process and observer combinations.
	Linked directly to the monitor window. Fixes #3978. 
	(filterDataInSession): Re-arranged to work with the elimination of 
	generic process groups.
	(setTreeSelected): Removed redundant parameter.
	(addProcessParent): Cleaned up.
	(changeGroupState): Removed two of three scenarios due to the elimination
	of process groups. Extensively cleaned up to work with new implementation.
	(setProcessNext): Made aware that the druid now loads sessions as well.
	(getProcessSelectionControls): Removed references to process groups. Tells 
	the ListView to watch GuiProcs instead of DebugProcesses. Null checks,	
	fixes #3931. Search for specific processes using PIDs.
	(getProcessObserverControls): Tells the ListView to watch GuiProcs instead
	of DebugProcesses.
	(getDruidStructureControls): Added code for debugging button. The finish
	button now sets up the terminal and session for the monitor window.
	(attachLinkedListsToWidgets): Watch GuiProcs instead of DebugProcesses.
	(setUpCurrentPage): Set next button sensitive with page 0, fixes button bug.
	* gladedir/frysk_create_session_druid.glade: Resized, added button for
	launching the SourceWindow.
	* gladedir/frysk_session_manager.glade: Removed radio buttons and 
	SourceWindow launch button.
	* sessions/DebugProcess.java (addObservers): Iterate through the 'procs'
	LinkedList rather than 'allProcsList' to add the observers.
	* sessions/Session.java: Applied GNU formatting.
	(clearProcesses): Added. Removes all DebugProcesses from the global list.
	* sessions/SessionManager.java: Applied GNU formatting.

	* register/RegisterWindowFactory.java (createRegisterWindow): Updated to
	use SourceWindowFactory's change from Hashtable to synchronized HashMap.
	(unblockProc): Ditto.
	(RegWinListener.lifeCycleQuery): Ditto.
	* memory/MemoryWindowFactory.java (createMemoryWindow): Ditto.
	(unblockProc): Ditto.
	(MemWinListener.lifeCycleQuery): Ditto.
	* disassembler/DisassemblyWindowFactory.java (createDisassemblyWindow): Ditto.
	(unblockProc): Ditto.
	(DisWinListener.lifeCycleQuery): Ditto.

2007-02-05  Andrew Cagney  <cagney@redhat.com>

	* imagesdir/: Rename directory images/.

	* test/TestIconManager.java: Ditto.
	* TestGlade.java: Do not call IconManager.setImageDir.
	* FryskGui.javain: Simplify by using Config.set and
	Config.createBuildConfig.
	* disassembler/DisassemblyWindowFactory.java (gladePaths, setPaths): Delete.
	(createDisassemblyWindow): Simplify.
	* memory/MemoryWindowFactory.java (gladePaths, setPaths): Delete.
	(createMemoryWindow): Simplify.
	* register/RegisterWindowFactory.java (gladePaths, setPaths): Delete.
	(createRegisterWindow): Simplify.
	* FryskHelpManager.java (setHelpPaths): Delete.
	(activateHelp): Use Config.getHelpDir.
	* Gui.java (flag): Delete.
	(Gui): Delete glade_dirs parameter.
	(gui): Drop all path parameters leaving only args.
	(gui(String[],String[])): Delete.
	(addOptions): Delete.
	
	* test/GuiTestLib.java: Replace frysk.junit.Paths with frysk.Config.
	* test/TestIconManager.java: Ditto.
	* test/TestWindowFactorization.java: Ditto.
	* TestGlade.java: Ditto.

2007-01-31  sami wagiaalla  <swagiaal@redhat.com>

	* gladedir/procpop.glade: Removed thread view.

2007-01-30  sami wagiaalla  <swagiaal@redhat.com>

	* test/dogtail_scripts/eventViewerAccessibilityInfo.py: Changed
	the way timelines are searched for to use role.

2007-01-29  Andrew Cagney  <cagney@redhat.com>

	* FryskHelpManager.java: Moved to here from frysk/gui/common/,
	along with ChangeLog entries.
	* Gui.java: Update.
	* SessionManagerGui.java: Update.

	* Gui.java: Update, frysk.gui.common.dialogs moved to
	frysk.gui.dialogs.
	
	* register/RegisterWindow.java: Update, frysk.gui.common.prefs
	moved to frysk.gui.prefs.
	* memory/MemoryWindow.java: Ditto.
	* disassembler/DisassemblyWindow.java: Ditto.
	* Gui.java: Ditto.

2007-01-25  Mike Cvet  <mcvet@redhat.com>

	* druid/CreateFryskSessionDruid.java: Applied GNU formatting.

2007-01-24  Rick Moseley  <rmoseley@redhat.com>

	* FryskHelpManager.java: Get docs directory from proper place.

2007-01-24  Rick Moseley  <rmoseley@redhat.com>

	* Gui.java: Add helpdocdirs.
	* FryskGui.javain: Add parameter for help docs directory.

2007-01-23  Rick Moseley  <rmoseley@redhat.com>

	* FryskHelpManager.java: Re-added.
	* FryskHelpManager.javain: Deleted.

2007-01-23  Andrew Cagney  <cagney@redhat.com>

	* memory/MemoryWindow.java: Remove TaskException.
	* disassembler/DisassemblyWindow.java: Ditto.
	* register/RegisterWindow.java: Ditto.

2007-01-19  Rick Moseley  <rmoseley@redhat.com>

	* FryskHelpManager.javain: New improved configuration-aware.
	* FryskHelpManager.java: Changed to above.

2007-01-19  Phil Muldoon   <pmuldoon@redhat.com>

	* gladedir/frysk_session_manager.glade: Place Help in its own
	button bar, left edge justify and add 18 points spacing.

2007-01-19  Rick Moseley  <rmoseley@redhat.com>

	* FryskHelpManager.java: New. Activates Frysk help.
	* gladedir/frysk_session_manager.glade: Added "Help" button.
	* SessionManagerGui.java: Ditto.

2007-01-18  Andrew Cagney  <cagney@redhat.com>

	* FryskGui.javain (GLADE_PKG_PATH): Change to "gladedir/".
	* glade/: Rename to ..
	* gladedir/: ... this.

2007-01-18  Rick Moseley  <rmoseley@redhat.com>

	* helpdir: New, directory to contain online documentation.
	* helpdir/figures: New, directory to contain figures for online
	documentation.
	* helpdir/frysk_xml: New, Frysk online documentation.
	* helpdir/figures/*.png: New, figures for online documentation.

2007-01-18  sami wagiaalla  <swagiaal@redhat.com>

	* test/dogtail_scripts/frysk_suite.in (suite): Added
	eventViewerAccessibilityInfo to test suit.
	* test/dogtail_scripts/viewerMarkers.py: Marked test as broken.
	* test/dogtail_scripts/FryskHelpers.py: Added brokenTest() function.

2007-01-17  sami wagiaalla  <swagiaal@redhat.com>

	* test/dogtail_scripts/eventViewerAccessibilityInfo.py: New test.

2007-01-17  Mike Cvet  <mcvet@redhat.com>

	* Gui.java (flag): Added. Determines if the monitor side of Frysk gets
	instantiated or not.
	(argString): Added. Contains path to executable for option parsing.
	(pid): Added. PID to attach to, given proper option parsing.
	(gui): Added option parsing. Will either instantiate the monitor or not, 
	checking after creation-agnostic code has been completed.
	(addOptions): Added. Option parsing callbacks. Commented out pending
	#3878.
	(gui): Changed from a clone of the original gui() call to simply
	completing GUI creation minus the Monitor.

2007-01-15  Andrew Cagney  <cagney@redhat.com>

	* test/TestIconManager.java (BASE_PATH, imagePaths): Delete,
	eliminate reference to Build .ABS_SRCDIR.
	(testIconManagerLoad): Update, use frysk .junit .Paths
	.getImagePrefix.
	* test/TestWindowFactorization.java (gladePaths, BASE_PATH)
	(imagePaths): Delete, eliminate Build .ABS_SRCDIR.
	(initGlades): Simplify., use frysk .junit .Paths .getGladePrefix.
	(setUp): Use frysk .junit .Paths .getImagePrefix.
	(testWindowFactorization): Add throw list.

2007-01-15  Mike Cvet  <mcvet@redhat.com>

	* Gui.java (gui): Added a new overloaded gui() method, used to 
	directly instantiate a new SourceWindow.

2007-01-11  Rick Moseley  <rmoseley@redhat.com>

	* glade/frysk_create_session_druid.glade: Change "debug
	session" to "monitoring session".

2007-01-09  sami wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Added a border of 6 to statusWidget.

2007-01-08  Andrew Cagney  <cagney@redhat.com>

	* FryskGui.javain: Replace remaining reference to Build.SRCDIR
	with local SRCDIR variable.

	* TestGlade.java: Rename test/TestGlade.java.  Use
	Paths.getGladePrefix and Paths.getImagePrefix instead of
	Build.ABS_SRCDIR.  Fixes frysk/3749.

	* FryskGui.javain: Rename FryskGui.java. Replace Build.SRCDIR and
	Build.ABS_SRCDIR with @srcdir@ and @abs_srcdir@.

2007-01-07  Andrew Cagney  <cagney@redhat.com>

	* test/TestParser.java: Moved to frysk/dom/TestParser.java.

2007-01-05  Rick Moseley  <rmoseley@redhat.com>

	* test/TestParser.java: Remove debug print statement.

2007-01-05  Andrew Cagney  <cagney@redhat.com>

	* DummyDebugResults.java: Delete.

	* DummySourceWindow.java: Delete.

2006-12-27  Mike Cvet  <mcvet@redhat.com>

	* memory/MemoryWindow.java (setTask): Set default number of 
	memory rows to 50.
	(resetTask): Ditto.
	* disassembler/DisassemblyWindow.java (setTask): Set default number
	of instruction rows to 50.
	(resetTask): Ditto.

2006-12-19  Andrew Cagney  <cagney@redhat.com>

	* test/dogtail_scripts/frysk_suite.in (frysk, funitChild, src):
	Conditionally set configuration variables.

2006-12-18  Andrew Cagney  <cagney@redhat.com>

	* test/TestGlade.java: Note broken, 3749.

2006-12-16  Adam Jocksch  <ajocksch@redhat.com>

	* DebugHistory.java: Events are now kept using a LinkedList instead of
	a Vector.
	* SessionManagerGui.java (popupControl): Is now a LinkedList.

2006-12-13  Rick Moseley  <rmoseley@redhat.com>

	* test/TestParser.java: Use ArrayList instead of String[].

2006-12-13  Mike Cvet  <mcvet@redhat.com>

	* disassembler/DisassemblyWindow.java (handleToSpin): Fixed some
	scrolling weirdness which searching higher memory addresses.

2006-12-12  Stepan Kasal  <skasal@redhat.com>

	* test/dogtail_scripts/Test2921.xml: s/pkglibexecdir/pkglibdir/
	* test/dogtail_scripts/funit_new_session.xml: Ditto.
	* test/dogtail_scripts/another_new_session.xml: Ditto.
	* test/dogtail_scripts/frysk_suite.in: Ditto.

2006-12-11  Andrew Cagney  <cagney@redhat.com>

	* test/dogtail_scripts/.cvsignore: Cite bug 3227.

2006-12-07  Andrew Cagney  <cagney@redhat.com>

	* test/GuiTestLib.java: For auto-generated method stub, throw
	exception.

2006-12-06  Andrew Cagney  <cagney@redhat.com>

	* register/RegisterWindow.java: Remove @author.
	* disassembler/DisassemblyFormatDialog.java: Ditto.
	* disassembler/DisassemblyWindow.java: Ditto.
	* memory/MemoryFormatDialog.java: Ditto.
	* memory/MemoryWindow.java: Ditto.
	* Gui.java: Ditto.

	* test/TestWindowFactorization.java: Add copyright.
	* DebugHistory.java: Ditto.
	* DummyDebugResults.java: Ditto.
	* DummySourceWindow.java: Ditto.

2006-12-06  Mike Cvet  <mcvet@redhat.com>

	* memory/MemoryWindow.java: Removed @authors tag.
	* memory/MemoryWindowFactory.java: Ditto.
	* sessions/ProcessPicker.java: Ditto.
	* disassembler/DisassemblyWindow.java: Ditto.
	* disassembler/DisassemblyWindowFactory.java: Ditto.
	* register/RegisterWindowFactory.java: Ditto.
	* register/RegisterWindow.java: Ditto.
	* register/RegisterFormatDialog.java: Ditto.

2006-12-06  Phil Muldoon  <pmuldoon@redhat.com>

	* Gui.java: Removed auto-generated @author tag.
	* SessionManagerGui.java: Ditto.	
	* sessions/SessionManager.java: Ditto.
	* sessions/Session.java: Ditto.
	* sessions/DebugProcess.java: Ditto.

2006-11-28  Nurdin Premji  <npremji@redhat.com>

	* test/GuiTestLib.java (TestProc.getProc): Changed to use simplified 
	requestFindProc.

2006-11-24  Mike Cvet  <mcvet@redhat.com>

	* Gui.java (MultipleInvocationEvent.execute): Raise dialog instead
	of Monitor.

2006-11-23  Mike Cvet  <mcvet@redhat.com>

	* register/RegisterWindow.java (LockObserver..run): Call 
	resetList() instead of refreshList().
	(resetList): Added. Updates register information after a Task re-block.
	Fixes #3453.
	(setTask): Fixed up a little.
	(closed): Added. 
	(buttonEvent): Set closed to true if close button is clicked.
	(resetTask): Added. Sets a new task for the window and updates the
	window information without having to touch columns and such.
	Fixes #3302.
	(getClosed): Added.
	(setClosed): Added.
	
	* memory/MemoryWindow.java (LockObserver..run): Call resetPCAndList().
	(resetPCAndList): Updates the Task program counter for the window and
	resets the TreeView rows. Fixes #3453.
	(closed): Added. 
	(buttonEvent): Set closed to true if close button is clicked.
	(setTask): Moved column initialization code here.
	(resetTask): Added. Sets a new task for the window and updates the
	window information without having to touch columns and such.
	Fixes #3302.
	(handleFromSpin): Exit if the model's first TreeIter is null.
	(handleToSpin): Ditto.
	(getClosed): Added.
	(setClosed): Added.
	
	* disassembler/DisassemblyWindow.java (LockObserver..run): Call
	resetPCAndList().
	(resetPCAndList): Updates the Task program counter for the window and
	resets the TreeView rows. Fixes #3453.
	(closed): Added. 
	(buttonEvent): Set closed to true if close button is clicked.
	(resetTask): Added. Sets a new task for the window and updates the
	window information without having to touch columns and such.
	Fixes #3302.
	(handleFromSpin): Exit if the model's first TreeIter is null.
	(handleToSpin): Ditto.
	(getClosed): Added.
	(setClosed): Added.

2006-11-22  Mike Cvet  <mcvet@redhat.com>

	* register/RegisterWindow.java (LockObserver.update): No longer
	relies on incoming argument to be either null or not-null; instead uses
	nulls as toggles for sensitivity. Cleaned up.
	(getLockObserver): Added Javadoc.
	(LockObserver): Added Javadoc.
	
	* memory/MemoryWindow.java (LockObserver.update): No longer
	relies on incoming argument to be either null or not-null; instead uses
	nulls as toggles for sensitivity. Cleaned up.
	(getLockObserver): Added Javadoc.
	(LockObserver): Added Javadoc.
	
	* disassembler/DisassemblyWindow.java (LockObserver.update): No longer
	relies on incoming argument to be either null or not-null; instead uses
	nulls as toggles for sensitivity. Cleaned up.
	(getLockObserver): Added Javadoc.
	(LockObserver): Added Javadoc.

2006-11-21  Nurdin Premji  <npremji@redhat.com>

	* test/GuiTestLib.java: Changed to use new FindProc interface.

2006-11-21  Tim Moore  <timoore@redhat.com>

	* register/RegisterWindow.java (stringUsingView): add FLOAT and
	DOUBLEFLOAT cases.

2006-11-20  Mike Cvet  <mcvet@redhat.com>

	* memory/MemoryWindow.java (desensitize): Added. Sets TreeView and
	other widgets to insensitive.
	(LockObserver): Added. Determines when this window can become 
	in/sensitive and re-draw.
	(LockObserver.update): Callback for Observer.
	(getLockObserver): Added.
	(finishMemWin): Moved over from MemoryWindowFactory. Sets up 
	preferences and sets the Proc for this MemoryWindow.
	(.buttonEvent): Removes the LockObserver for this window from the 
	RunState's list of Observers.
	(MemoryWindow): Initialize a new LockObserver.
	(setObservable): Sets this class' observable - representation of 
	RunState.
	(resensitize): Added. Sets TreeView and other widgets to sensitive.
	* memory/MemoryWindowFactory.java (setPaths): Removed deprecated
	Hashtables and their initializations.
	(setMemWin): Updated to use new HashMap.
	(createMemoryWindow): Moved glade initializations in here from 
	finishDisWin(). Updated to use RunState objects and centralized list
	of running Windows and Procs from SourceWindowFactory.
	(MemWinListener.lifeCycleQuery): Updated to use RunState and handle
	Proc unmapping cases properly.
	(unblockProc): Use RunState to determine when to remove map reference
	to the Proc.
	(gladePaths): Updated to use new HashMap.
	(MemWinBlocker): Removed.
	* disassembler/DisassemblyWindow.java (finishDisWin): Moved over from
	DisassemblyWindowFactory. Sets up preferences and sets the Proc for 
	this DisassemblyWindow.
	(desensitize): Added. Sets TreeView and other widgets to insensitive.
	(LockObserver.update): Callback for Observer.
	(getLockObserver): Added.
	(LockObserver): Added. Determines when this window can become 
	in/sensitive and re-draw.
	(.buttonEvent): Removes the LockObserver for this window from the 
	RunState's list of Observers.
	(setObservable): Sets this class' observable - representation of 
	RunState.
	(DisassemblyWindow): Initialize a new LockObserver.
	(resensitize): Added. Sets TreeView and other widgets to sensitive.
	* disassembler/DisassemblyWindowFactory.java (setPaths): Updated to use
	new HashMap.
	(createDisassemblyWindow): Moved glade initializations in here from 
	finishDisWin(). Updated to use RunState objects and centralized list
	of running Windows and Procs from SourceWindowFactory.
	(setDisWin): Updated to use new HashMap.
	(DisWinListener.lifeCycleQuery): Updated to use RunState and handle
	Proc unmapping cases properly.
	(unblockProc): Use RunState to determine when to remove map reference
	to the Proc.
	(DisWinBlocker): Removed.
	* register/RegisterWindowFactory.java (setPaths): Updated to use a
	new HashMap.
	(setRegWin): Updated to use new HashMap. 
	(RegWinListener.lifeCycleQuery): Updated to use the RunState of the
	RegisterWindow to determine when to remove map references.
	(unblockProc): Use RunState to determine when to remove map reference
	to the Proc.
	(createRegisterWindow): Moved glade initializations in here from 
	finishDisWin(). Updated to use RunState objects and centralized list
	of running Windows and Procs from SourceWindowFactory.
	(RegWinBlocker): Removed.
	* register/RegisterWindow.java (desensitize): Added. Sets TreeView and
	other widgets to insensitive.
	(LockObserver.update): Callback for Observer.
	(RegisterWindow): Initialize new LockObserver.
	(getLockObserver): Added.
	(finishRegWin): Moved over from RegisterWindowFactory. Sets up 
	preferences and sets the Proc for this RegisterWindow.
	(LockObserver): Added. Determines when this window can become 
	in/sensitive and re-draw.
	(.buttonEvent): Removes the LockObserver for this window from the 
	RunState's list of Observers.
	(setObservable): Added. Sets the Observable for this window.
	(resensitize): Added. Sets TreeView and other widgets to sensitive.

2006-11-16  Mike Cvet  <mcvet@redhat.com>

	* test/TestIconManager.java (testIconLookups): Updated to look 
	for new frysk-top icon instead of frysk-bottom. Fixes #3527.

2006-11-15  Rick Moseley  <rmoseley@redhat.com>

	* test/TestParser.java: New for testing parser output.

2006-11-15  Mike Cvet  <mcvet@redhat.com>

	* images/16/top.png: Added.
	* images/24/top.png: Added.
	* images/32/top.png: Added.
	* images/__MACOSX/16/._top.png: Added.
	* images/__MACOSX/24/._top.png: Added.
	* images/__MACOSX/32/._top.png: Added.
	
2006-11-14  Nurdin Premji <npremji@redhat.com>

	* tests/dogtail_scripts/.cvsignore: Added *.pyc.

2006-11-14  Andrew Cagney  <cagney@redhat.com>

	* test/GuiTestLib.java: Use frysk.junit.TestCase.
	* test/TestObserverSaveLoad.java: Ditto.
	* test/TestTagsetSaveLoad.java: Ditto.
	* test/TestActionManager.java: Ditto.
	* test/TestGlade.java: Ditto.
	* test/TestWindowFactorization.java: Ditto.
	* test/TestFilterManager.java: Ditto.
	* test/TestIconManager.java: Ditto.
	* test/TestSessionSaveLoad.java: Ditto.
	* test/TestPrototypeCopying.java: Ditto.

2006-11-06  Mike Cvet  <mcvet@redhat.com>

	* disassembler/DisassemblyWindow.java (rowAppend): Fixed to properly
	append rows more efficiently.
	(numInstructions): Added. Used to figure out how many instructions are
	displayed rather than using memory addressing offsets. Fixes #3461.
	(setUpColumns): Fixed to use numInstructions. Removed some useless 
	int values.
	(refreshList): Makes better use of available information to generate
	window information. Fixes #3461.
	(handleFromSpin): Fixed a scrolling bug.
	(handleToSpin): Ditto. Temporarily removed functionality for iterating 
	back "down" memory space from bottom of window pending more bugfixing.

2006-11-02  Mike Cvet  <mcvet@redhat.com>

	* glade/frysk_source.glade: Added stepDialog.

2006-10-27  Mike Cvet  <mcvet@redhat.com>

	* glade/frysk_source.glade: Added threadSelectionDialog.

2006-10-25  Andrew Cagney  <cagney@redhat.com>

	* test/TestRegionAndGCFailure.java: Move to
	frysk-gtk/tests/frysk3116.

2006-10-24  Phil Muldoon <pmuldoon@redhat.com>

	* test/TestRegionAndGCFailure.java: New File.

2006-10-16  Mike Cvet  <mcvet@redhat.com>

	* glade/disassemblywindow.glade: Resized.
	* disassembler/DisassemblyWindow.java (refreshList): Prepend hexadecimal
	identifier to hex memory addresses.
	(setUpColumns): Set column names properly.

2006-10-06  Mike Cvet  <mcvet@redhat.com>

	* glade/frysk_source.glade: Resized. Bigger with more room for
	stack traces and variable watches.

2006-10-04  Mike Cvet  <mcvet@redhat.com>

	* disassembler/DisassemblyWindowFactory.java (createDisassemblyWindow): 
	Takes a Proc instead of a Task. If blocking is needed, does so with a 
	ProcAttachedObserver.
	(finishDisWin): Takes a Proc instead of a Task. Creates a 
	DisassemblyWindow off of Proc's mainTask for now.
	(setDisWin): Sets to a Proc.
	(unblockProc): Refactored from unblockTask. Unblocks a 
	ProcAttachedObserver.
	(DisWinListener.lifeCycleQuery): Handles Procs instead of Tasks.
	(DisWinBlocker): Added new methods for ProcObserver.ProcTasks.
	(handleTask): Added.
	* memory/MemoryWindowFactory.java (createMemoryWindow): (Same per-method
	changes as above).
	(finishMemWin): Ditto.
	(setMemWin): Ditto.
	(unblockProc): Ditto.
	(MemWinListener.lifeCycleQuery): Ditto.
	(MemWinBlocker): Ditto.
	(handleTask): Ditto.
	* register/RegisterWindowFactory.java (createRegisterWindow): Ditto.
	(finishRegWin): Ditto.
	(setRegWin): Ditto.
	(unblockProc): Ditto.
	(RegWinListener.lifeCycleQuery): Ditto.
	(RegWinBlocker): Ditto.
	(handleTask): Ditto..
	* SessionManagerGui.java (getDebugSingleProcess): Creates 
	SourceWindow from chosenProc instead of its main task.
	* DummySourceWindow.java (DummySourceWin): Changed to send a Proc
	to SourceWindowFactory instead of a Task.

2006-10-03  Tim Moore  <timoore@redhat.com>

	* RegisterWindow.java (cols, colVisible, setTask): Add column for
	view object.
	(stringUsingView): new methods
	(refreshList): Use stringUsingView to print register contents

2006-09-21  Phil Muldoon  <pmuldoon@redhat.com>

	* SessionManagerGui.java (openSession): Always
	start a terminal session.
	(getTerminalSession): Remove.
	(SessionManagerGui): Remove reference to getTerminalSession.
	* Gui.java (gui): Properly kill terminal on exit.
	* glade/procpop.glade: Add scrolled window to
	terminalWidget Vbox.
	* glade/frysk_session_manager.glade: Remove 
	blank session with terminal option.
	
2006-09-20  Phil Muldoon  <pmuldoon@redhat.com>

	* Gui.java (buildTrayManager): Remove popup control.
	(gui): 
	* SessionManagerGui.java (isSessionLaunched): New.
	(openSession): Control the popup of the tray icon to either
	select monitor window, or session manager, depending on context.
	
	* glade/procpop.glade: Remove program observers menu item,
	until we decide a better place in the workflow.

2006-09-20  Yao Qi  <qiyaoltc@cn.ibm.com>

	* disassembler/DisassemblyWindow.java: Check null pointer
	before use it.

2006-09-18  Mike Cvet  <mcvet@redhat.com>

	* memory/MemoryWindowFactory.java (MemWinBlocker.addFailed): 
	Logging call made directly to errorLog rather than EventLogger.
	* register/RegisterWindowFactory.java (RegWinBlocker.addFailed): Ditto.
	* disassembler/DisassemblyWindowFactory.java (DisWinBlocker.addFailed):
	Ditto.

2006-09-18  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java: Partial Java-DOC.
	(getProcessObserverControls): Add call to 
	removeObserverByName instead of removeObserver.
	* sessions/DebugProcess.java (removeObserverByName): Added.
	
	* glade/procpop.glade: Remove Vbox encapsulating
	logTextView widget. Fixes bz 3222.

2006-09-16  Mike Cvet  <mcvet@redhat.com>

	* sessions/ProcessPicker.java: Added Javadoc.
	* disassembler/DisassemblyWindowFactory.java: Ditto.
	* disassembler/DisassemblyWindow.java: Ditto.
	* disassembler/DisassemblyFormatDialog.java: Ditto.
	* memory/MemoryWindowFactory.java: Ditto.
	* memory/MemoryWindow.java: Ditto.
	* memory/MemoryFormatDialog.java: Ditto.
	* register/RegisterWindowFactory.java: Ditto.
	* register/RegisterWindow.java: Ditto.
	* register/RegisterFormatDialog.java: Ditto.

2006-09-15  Phil Muldoon  <pmuldoon@redhat.com>

	* FryskGui.java (GLADE_PKG_PATH): Added wrapper class comment

	* Gui.java: Added Java Doc comments.
	(buildTrayManager): New. Refactored from Gui.
	(startCoreEventLoop): Ditto.
	(addInvocationEvents): Ditto.
	(isFryskRunning): Ditto.
	(createFryskDataLocation): Ditto.
	(createFryskLockFile): Ditto.
	(gui): Refactored.

2006-09-14  Mike Cvet  <mcvet@redhat.com>

	* sessions/ProcessPicker.java: Got rid of the proc linked list
	and added a hashtable instead.
	(checkSession): Put GuiProcs into the new hashtable.
	(pickProcs): Instead of iterating through a linked list, grab the
	GuiProc directly from a table since we won't know the order of PIDs
	and would have to iterate the list every time. Fixes #3208.
	* glade/disassemblywindow.glade: Added.
	* disassembler/DisassemblyFormatDialog.java: Added.
	* disassembler/DisassemblyWindowFactory.java: Added.
	* disassembler/DisassemblyWindow.java: Added.
	* memory/MemoryWindow.java (refreshList): Made sure that the address
	on the current line matches the address in an assembly instruction.
	* Gui.java (Gui): Set a new glade file for the disassembler.
	(gui): Passed in the glade directories to the disassembler factory.

2006-09-14  Phil Muldoon  <pmuldoon@redhat.com>

	* SessionManagerGui.java (SessionManagerGui): Added JavaDoc
	and cleaned up.
	* Gui.java (Gui): Added processPicker load glade.

2006-09-13  Phil Muldoon  <pmuldoon@redhat.com>

	* sessions/DebugProcess.java: Rewritten, commented and
	(throughly cleaned out). Added Java Doc.
	* sessions/Session.java: Ditto
	* sessions/SessionManager.java Ditto.
	
2006-09-12  Phil Muldoon  <pmuldoon@localhost.localdomain>

	* druid/CreateFryskSessionDruid.java (getProcessObserverControls): Use
	setCheckedbyName, instead of setChecked().
	* sessions/DebugProcess.java (load): Create a copy of the observer
	and do not add a reference to the base observer.

2006-09-11  Andrew Cagney  <cagney@redhat.com>

	* test/dogtail_scripts/frysk_suite.in (frysk, src, funitChild):
	Wrap generated strings in double quotes.
	* test/dogtail_scripts/frysk_suite.py: Delete.

2006-09-11  Andrew Cagney  <cagney@redhat.com>

	* test/GuiTestLib.java: Pass just "frysk" to getLogger, work-around.

2006-09-06  Mike Cvet  <mcvet@redhat.com>

	* glade/procpop.glade: Added the tidColumnDialog dialog window.
	* glade/processpicker.glade: Changed layout of header so that it 
	is displayed properly. 

2006-09-05  Phil Muldoon  <pmuldoon@redhat.com>

	* Gui.java (gui): Call the application "Frysk" not "java-gnome".
	* test/dogtail_scripts/FryskHelpers.py: Rename java-gmome to Frysk.

2006-08-31  Phil Muldoon  <pmuldoon@redhat.com>

	* Gui.java (gui): Remove Command Interface Window option.
	GNU Format.

2006-08-30  Rick Moseley  <rmoseley@redhat.com>

	* test/TestIconManager.java: Added test for getLocalHost.

2006-08-30  Nurdin Premji <npremji@redhat.com>

	* test/dogtail_scripts/Test2985.py: Added code to cause test to fail if 
	more than one of the same type of observer is detected.

2006-08-30  Mike Cvet  <mcvet@redhat.com>

	* test/TestWindowFactorization.java (testWindowFactorization): 
	Now using DummyProc and DummyTask. Removed unnecessary observers.
	(setTasks): Don't setTasks for the windows if critical task
	information is null.
	(setUp): Added IconManager initializations. Fixes #3153.

2006-08-28  Mike Cvet  <mcvet@redhat.com>

	* test/TestWindowFactorization.java (AttachedObserver): Added.
	(TaskTerminatedObserver): Added.
	(testWindowFactorization): Threw in some garbage collection 
	statements, calls new methods. Calls setTasks() from the 
	AttachedObserver.
	(setTasks): Added.
	(initGlades): Added.

2006-08-26  Phil Muldoon  <pmuldoon@redhat.com>

	* Gui.java (gui): Added SessionManager showAll()
	* glade/frysk_session_manager.glade: Set visibilty to false as
	default.
	* test/TestWindowFactorization.java (setUp): Added.
	(testMemoryWindowFactorization): On Exception call fail().
	Remove stacktrace output, debug output and System.exit(1).
	Remove showAll(), requires a display.

2006-08-25  Mike Cvet  <mcvet@redhat.com>

	* test/TestWindowFactorization.java: Added - testing large-scale creation of 
	factory-generated windows.

2006-08-24  Phil Muldoon  <pmuldoon@redhat.com>

	* sessions/DebugProcess.java: Remove debug output.

2006-08-24  Mike Cvet  <mcvet@redhat.com>

	* memory/MemoryWindowFactory.java (createMemoryWindow): Re-arranged everything
	to avoid blocker race-conditions and to properly distinguish between initializations
	from the Monitor or SourceWindow.
	(finishMemWin): Get rid of some redundant LifeCycles.
	(setMemWin): Fixed a bug which resulted in this window being created twice by the 
	SourceWindow.
	(setMonitor): Added - Called when this Factory is used by the Monitor.
	(unblockTask): Windows can be hidden rather than destroyed, and thus not unblock the
	blocked Task. Prevent a window which was just hidden from repetively trying to unblock.
	Fixes #3120. Also allow window to be hidden properly from the Monitor.
	* register/RegisterWindowFactory.java (createRegisterWindow): Ditto.
	(finishRegWin): Ditto.
	(setRegWin): Ditto.
	(setMonitor): Ditto.
	(unblockTask): Ditto.

2006-08-23    <swagiaal@redhat.com>

	* sessions/DebugProcess.java: Added TaskTerminatedObserver to catch
	exiting for procs.

2006-08-23  Mike Cvet  <mcvet@redhat.com>

	* memory/MemoryWindowFactory.java (MemWinListener.lifeCycleQuery):
	Fixed a MainWindow show oops negation.
	(createMemoryWindow): Commented out some suspect code creating two
	MemoryWindows.
	* register/RegisterWindowFactory.java (createRegisterWindow): Ditto.

2006-08-23  Phil Muldoon  <pmuldoon@redhat.com>

	* glade/procpop.glade: Added Credits text.

2006-08-23    <swagiaal@redhat.com>

	* sessions/DebugProcess.java: Removed print statements.

2006-08-23  Mike Cvet  <mcvet@redhat.com>

	* SessionManagerGui.java (openSession): Added - opens the new Session correctly in the
	MainWindow. Closes #3114.
	(getSessionManagementControls): Now calls openSession to open the new Session.
	(getManagerControls): Ditto.

2006-08-22  Ivan Pantuyev  <ipantuye@redhat.com>

	* SessionManagerGui.java: added a line to show main window after terminal session is open

2006-08-22  Ivan Pantuyev  <ipantuye@redhat.com>

	* monitor/MainWindow.java: enable the terminal, also added a function that kills terminal shell.
	* Gui.java: now calls MainWindow's killTerminalShell().
	* glade/procpop.java: removed dummy textcontrol to put a terminal

2006-08-22  Mike Cvet  <mcvet@redhat.com>

	* register/RegisterWindowFactory.java (createRegisterWindow): 
	Now correctly initializes the RegisterWindow when there are no
	blockers on the process.
	* memory/MemoryWindowFactory.java (createMemoryWindow): Ditto.
	* sessions/ProcessPicker.java (checkSession): Properly hides the
	startup manager window when all processes are singletons. Fixes
	#3105.

2006-08-18  Len DiMaggio  <ldimaggi@redhat.com>

	* test/dogtail_scripts/FryskHelpers.py,
	  test/dogtail_scripts/Test2866.py,
	  test/dogtail_scripts/Test2921.xml,
	  test/dogtail_scripts/TestClassTemplate.py,
	  test/dogtail_scripts/TestCreateObserversfromDataModel.py,
	  test/dogtail_scripts/TestCredits.py,
	  test/dogtail_scripts/TestDruid.py,
	  test/dogtail_scripts/TestEventViewerButtons.py,
	  test/dogtail_scripts/TestEventViewerMarkers.py,
	  test/dogtail_scripts/TestLicense.py,
	  test/dogtail_scripts/TestStressDruid.py,
	  test/dogtail_scripts/another_new_session.xml,
	  test/dogtail_scripts/frysk_suite.in:
	    Changed to always use funit-child as a targetprocess.
	* test/dogtail_scripts/funit_prototype.py: New file.

2006-08-17  Phil Muldoon  <pmuldoon@redhat.com>

	* glade/procpop.glade: Remove dangling quit menu handler

2006-08-16  Rick Moseley  <rmoseley@redhat.com>

	* sessions/ProcessPicker.java: Set upper left window icon to Frysk's.

2006-08-16  Andrew Cagney  <cagney@redhat.com>

	* test/GuiTestLib.java: Specify "frysk.gui...." as the logger,
	delete unused import of frysk.Config.

2006-08-16    <swagiaal@redhat.com>

	* glade/procpop.glade: Added minimum height to observerActionsViewPort
	and observerFiltersViewPort.

2006-08-14  Stepan Kasal  <kasal@ucw.cz>

	* test/dogtail_scripts/frysk_suite.in: Revert my change from 2006-08-08.

2006-08-11  Nurdin Premji  <npremji@redhat.com>

	* test/dogtail_scripts/TestEventViewerMarkers.py: Ditto
	* test/dogtail_scripts/TestEventViewerButtons.py: Changed class name

2006-08-08  Mike Cvet  <mcvet@redhat.com>

	* glade/procpop.glade: Added pidColumnDialog.

2006-08-08  Stepan Kasal  <kasal@ucw.cz>

	* test/dogtail_scripts/frysk_suite.in: Use "dogtail-run-headless -n".
	And do not check whether the accessibility is on;
	dogtail-run-headless should temporarily switch it on, if necessary.

2006-08-08  Sami Wagiaalla  <swagiaal@redhat.com>

	* sessions/DebugProcess.java: Added listining to programObserver.
	* glade/procpop.glade: Added program observer menu item.
	Added quit menu item.
	* druid/CreateFryskSessionDruid.java (filterDatainSession): changed
	getProcessies() to getProcessies().iterator.
	* SessionManagerGui.java: used Gui.quitFrysk instead
	of Gtk.mainQuit().

2006-08-08  Mike Cvet  <mcvet@redhat.com>

	* Gui.java (createDummyTagsets): Commented out for now, not
	being used but still being initialized.

2006-08-07  Tim Moore  <timoore@redhat.com>

	* memory/MemoryWindow (setTask): Change Task.TaskException to
	TaskException. 
	* register/RegisterWindow (setTask): ditto.
	* srcwin/SourceWindowFactory.java (finishSourceWin): ditto.

2006-08-02  Nurdin Premji  <npremji@redhat.com>

	* test/dogtail_scripts/funit_new_session.xml: Added
	* test/dogtail_scripts/Test2985.py: Added. 
	* test/dogtail_scripts/frysk_suite.in: Removed deprecated tests.
	Added test for bug 2985.

2006-08-01  Mike Cvet  <mcvet@redhat.com>

	* Gui.java (MultipleInvocationEvent.run): Fixed a race condition
	but resulting in siglongjmp() errors.

2006-08-01  Nurdin Premji  <npremji@redhat.com>

	* test/dogtail_scripts/frysk_suite.in : Added in TestEventViewerMarker.py.
	Uncommented TestEventViewerButtons testcase.
	* test/dogtail_scripts/TestEventViewerMarkers.py : Added.

2006-07-31  Mike Cvet  <mcvet@redhat.com>

	* test/TestFilterManager.java (testAddingRemovingFilters): Added
	tests for some new Filters.

2006-07-28  Mike Cvet  <mcvet@redhat.com>

	* glade/processpicker.glade: Added a cancel button, among other
	changes.
	* sessions/ProcessPicker.java (setListeners): Added cancelButton
	actions.
	(.lifeCycleEvent): Added actions for getting back to the session
	manager after a cancel.
	* sessions/DebugProcess.java (removeProcsMinusObserver): Added.
	* sessions/Session.java: Applied GNU formatting.
	* SessionManagerGui.java (processPicker): Refactored.
	(.buttonEvent): Put the hideAll() call for the SessionManagerGui
	into an approparite 'if' clause.
	(Gui): Remove glade assignments to the ProcessPicker.
	(gui): Sends in the glade paths to the SessionManagerGui.
	(getGlade): Added.
	(.buttonEvent): Now instantiates new LibGlades for new
	ProcessPickers.
	* sessions/SessionManager.java: Applied GNU formatting.
	* register/RegisterWindowFactory.java: Commented.
	* memory/MemoryWindowFactory.java: Commented.

2006-07-27  Mike Cvet  <mcvet@redhat.com>

	* register/RegisterWindowFactory.java: Added some imports, added
	new global variables.
	(setPaths): Added.
	(createRegisterWindow): Uses the task observer thread to finish
	initializing the now-dynamic RegisterWindow. Also uses the new
	TaskBlockCounter.
	(finishRegWin): Build new LibGlade objects for multiple windows
	via the new directory string array. Edited LifeCycleEvent and 
	Query to hide the current window.
	(setGladePath): Removed.
	(setRegWin): Added.
	(killRegWin): Removed.
	(RegWinListener): Added.
	(unblockTask): Now properly unblocks the observed task, updates
	the block counter, and cleans everything up when nothing else is
	blocking the task.
	* register/RegisterWindow.java (getMyTask): Added.
	* memory/MemoryWindow.java (getMyTask): Added.
	* memory/MemoryWindowFactory.java: Added some imports, added
	new global variables.
	(setPaths): Added.
	(createMemoryWindow): Uses the task observer thread to finish
	initializing the MemoryWindow. Now utilizes the TaskBlockCounter.
	(finishMemWin): Build new LibGlade objects for multiple windows
	via the new directory string array. Edited LifeCycleEvent and Query 
	to hide current window.
	(setGladePath): Removed.
	(setMemWin): Added.
	(killMemWin): Removed.
	(MemWinListener): Added.
	(unblockTask): Now properly unblocks the task, updates the block
	counter, and cleans everything up if needed.
	* Gui.java (Gui): Removed references to Register and Memory
	WindowFactories with LibGlade parameter.
	(gui): Send directory string into Register and Memory factories.
	* sessions/ProcessPicker.java (checkSession): Fixed an Observer
	adding bug.

2006-07-26  Mike Cvet  <mcvet@redhat.com>

	* memory/MemoryWindow.java (handleFromSpin): Fixed some spinbox bugs.
	(handleToSpin): Ditto.
	(rowAppend): Fixed to work woth row prepends as well.
	* register/RegisterWindowFactory.java: Added: Factory for 
	the RegisterWindow.
	* memory/MemoryWindowFactory.java: Added: Factory for the
	MemoryWindow.
	* sessions/ProcessPicker.java: Applied some GNU formatting.
	* Gui.java: Added new imports for RegisterWindowFactory and
	MemoryWindowFactory.
	(Gui): Now calls Memory and Register factories with glade for 
	initialization.

2006-07-25  Sami Wagiaalla  <swagiaal@redhat.com>

	* test/TestFilterManager.java: New test.
	* test/TestActionManager.java: New test.
	* test/TestGlade.java: Added tests for WindowManager.

2006-07-25  Nurdin Premji  <npremji@redhat.com>

	* test/dogtail_scripts/TestEventViewerButtons.py (zoon zoom!): Added.
	* test/dogtail_scripts/FryskHelpers.py: Updated constants.
	* test/dogtail_scripts/Test2921.xml: Updated.
	* test/dogtail_scripts/frysk_suite.in: Added TestEventViewerButtons.py
	Commented out TestEventViewerButtons, fails.
	* test/dogtail_scripts/another_new_session.xml: Fixed typo. Updated.

2006-07-24 Rick Moseley  <rmoseley@redhat.com>

	* glade/memorywindow.glade: Add tool tips.
	* glade/proppop.glade: Tweak tool tips.
	* glade/registerwindow: Ditto.

2006-07-24 Phil Muldoon <pmuldoon@redhat.com> 
           Rick Moseley  <rmoseley@redhat.com>
	   
	 * glade/frysk_create_session_druid.glade: Added tooltips.

2006-07-24  Mike Cvet  <mcvet@redhat.com>

	* sessions/DebugProcess.java (populateProcs): Now explicitly calls methods
	for the itemAdded and itemRemoved operations, and adding observers to the
	processes added to the main list.
	(addRemoveObservers): Added.
	(addProcs): Added.
	(addProcsMinusObserver): Added - adds procs to the main list without the
	observers.
	(addObservers): Added - explicitly adds observers to the processes in the
	process list.
	* sessions/ProcessPicker.java (checkSession): Adds processes to the process
	list without adding observers...yet.
	(pickProcs): Adds observers to the remaining selected processes after the fact.

2006-07-21  Rick Moseley  <rmoseley@redhat.com>

	* glade/registerwindow.glade: Added tooltip, modded title to match source.
	* register/RegisterFormatDialog.java: Make hexadecimal the default window 
        at startup.
	* register/RegisterWindow.java: Make hexadecimal the default window.
        Change window title.

2006-07-21  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java (getProcessSelectionControls): 
	Do not allow editing on observers on a blank process list.

	* test/TestSessionSaveLoad.hava: Add extra DebugProcess field.
	* druid/CreateFryskSessionDruid.java (filterDatainSession): New.
	* sessions/DebugProcess.java (setAlternativeDisplayName): 
	New.
	(getAlternativeDisplayName): Ditto.
	(getRealName): Ditto.
	(setRealName): Ditto.
	(save): Swap out names before save.
	(load): Populate names on load.

2006-07-21  Nurdin Premji  <npremji@redhat.com>

	* test/dogtail_scripts/TestCreateObservers.py (setUp): Used MANAGE_CUSTOM_OBSERVERS 
	variable rather than hardcoded string
	(tearDown): Ditto.
	(testUpdateObservers): Ditto.
	* test/dogtail_scripts/FryskHelpers.py: Updated names of some dialogs:
	CUSTOM_OBSERVER and CUSTOM_OBSERVERS_DIALOG

2006-07-21  Mike Cvet  <mcvet@redhat.com>

	* glade/processpicker.glade: Added; refactored from childpidwindow.glade.
	* sessions/ProcessPicker.java: Refactored from childPIDWindow.
	* SessionManagerGui.java (.buttonEvent): Fixed up from refactoring.
	* Gui.java (process_picker_glade): Refactored from session_child_glade.
	(Gui): Fixed up for the refactoring.

2006-07-21  Phil Muldoon  <pmuldoon@redhat.com>

	* sessions/ChildPIDWindow.java (checkSession): Call this.run()
	instead of this.showAll().
	* SessionManagerGui.java (getManagerControls): Don't call run().

2006-07-21  Rick Moseley  <rmoseley@redhat.com>
	
	* glade/frysk_source.glade: Added a couple tooltips, modded window title.

2006-07-21  Phil Muldoon  <pmuldoon@redhat.com>

	* sessions/ChildPIDWindow.java (checkSession): Set treeview sort components.
	(setListeners): Setup columns to be sortable.
	
	* SessionManagerGui.java (getManagerControls): Added a run()
	call make dialog modal, and stop stack

2006-07-21  Mike Cvet  <mcvet@redhat.com>

	* glade/childpidwindow.glade: changed the closeButton to a 
	launchButton.
	* sessions/ChildPIDWindow.java (setListeners): Updated accordingly.
	(.cellRendererToggleEvent): Fixed a parent checkbox selection bug.

2006-07-21  Rick Moseley  <rmoseley@redhat.com>

	* glade/procpop.glade: Added more tooltips, changed window labels.
	* glade/frysk_source_prefs.glade: Added new window label.

2006-07-20  Mike Cvet  <mcvet@redhat.com>

	* sessions/ChildPIDWindow.java: Added.
	* glade/childpidwindow.glade: Added. 
	* SessionManagerGui.java (.buttonEvent): Now calls the
	ChildPIDWindow, which does the work for calling the MainWindow.
	(setChildPIDGlade): Added - support for ChildPIDWindow glade.
	* Gui.java (Gui): Added new glade file and support for
	the ChildPIDWindow.

2006-07-20  Sami Wagiaalla  <swagiaal@redhat.com>

	* SessionManagerGui.java: Removed getNumberSuffix.

2006-07-20  Rick Moseley  <rmoseley@redhat.com>

	* glade/procpop.glade: Added tooltips.

2006-07-20  Tim Moore  <timmore@redhat.com>

	* memory/MemoryWindow.java (setTask): "Handle" TaskException.
	* register/RegisterWindow.java (setTask): ditto.
	* srcwin/SourceWindowFactory.java (finishSourceWin): ditto.

2006-07-20 Phil Muldoon  <pmuldoon@redhat.com>

	* glade/frysk_create_session.glade: Added tooltips.

2006-07-19  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java (setNewSessionMode): 
	Call unFilterData. Stop eating processes.
	(setEditSessionMode): Ditto.
	(unFilterData): New.
	(getProcessObserverControls): Add Custom Observer controls
	for button.
	* glade/frysk_create_session.glade: Added Custom Observers
	Button to druid.

	* test/TestGlade.java: New.

2006-07-19	Nurdin Premji <npremji@redhat.com>

	* glade/procpop.glade: Added minimum size for statusWidget box.

2006-07-19  Ivan Pantuyev <ipantuye@redhat.com>

	* monitor/MainWindow.java: commented out terminal creation
	* glade/procpop.glade: added a textview where terminal was

2006-07-19  Phil Muldoon  <pmuldoon@redhat.com>

	* Gui.java (gui): Remove splash screen in mainline.

2006-07-18  Phil Muldoon  <pmuldoon@redhat.com>

	* SessionManagerGui.java (getManagerControls): Only build terminal when
	needed.

2006-07-18  Phil Muldoon  <pmuldoon@redhat.com>

	* test/TestIconManager.java: Apply GNU format.

2006-07-18  Adam Jocksch  <ajocksch@redhat.com>

	* Gui.java (initializePreferences): No longers adds default groups
	to the manager.

2006-07-17  Phil Muldoon  <pmuldoon@redhat.com>

	* test/TestIconManager.java: New File.

2006-07-17  Tim Moore  <moore@redhat.com>

	* register/RegisterWindow.java (cols): Add column for BigInteger value
	of a register.
	(setTask): Initialize value of registers as a BigInteger, not the
	string representation of a long.
	(signExtend): delete
	(refreshList): Derive all columns from the BigInteger value.
	(swizzleByteOrder, saveBinaryValue(BigInteger, TreePath)): new methods
	(writeBinaryValue): new method
	(DecCellListener::cellRendererTextEvent,
	 HexCellListener::cellRendererTextEvent,
	 OctCellListener::cellRendererTextEvent, 
	 BinCellListener::cellRendererTextEvent): Update the BigInteger
	register value.

2006-07-17  Mike Cvet  <mcvet@redhat.com>

	* memory/MemoryWindow.java (MemoryWindow): Fixed a static counter
	increment bug.

2006-07-17  Rick Moseley  <rmoseley@redhat.com>

	* glade/procpop.glade: Change window name for "Observers Detail" to
	"Custom Observers Detail" for more consistency.

2006-07-17  Mike Cvet  <mcvet@redhat.com>

	* memory/MemoryWindow.java (recalculate): Finished endianness conversion
	with BigInteger.
	(rowAppend): Added code for right alignment in the tree rows.

2006-07-14  Mike Cvet  <mcvet@redhat.com>

	* memory/MemoryWindow.java: Removed some redundant imports and methods.
	(DecCellListener): Removed.
	(HexCellListener): Ditto.
	(OctCellListener): Ditto.
	(BinCellListener): Ditto.
	(signExtend): Ditto.
	(saveBinaryValue): Ditto.
	(diss): Added - Disassembler object for retrieving instructions from the
	current task's memory space.
	(setTask): Initializes above Disassembler object.
	(recalculate): Removed more redundant code.
	(refreshList): Retrieve instructions from Disassembler and display in 
	the MemoryWindow columns, in conjunction with the other memory words.
	
	* memory/MemoryFormatDialog.java (MemoryFormatDialog): Added support for
	the extra instruction column.

2006-07-14  Phil Muldoon  <pmuldoon@redhat.com>

	* Gui.java (gui): Fix splash screen timer. Fix requestRefreshXXX timer.
	* druid/CreateFryskSessionDruid.java (getProcessSelectionControls): 
	Added multiple selection.
	(changeGroupState): Convert to TreeRowReference.
	(getProcessSelectionControls): Added double click to add and remove.

2006-07-14  Rick Moseley  <rmoseley@redhat.com>

	* monitor/GuiObject.java: Fix typo for "No Tootip".

2006-07-13  Mike Cvet  <mcvet@redhat.com>

	* glade/memorywindow.glade: Added hexadecimal program counter entry
	* memory/MemoryWindow.java (padBytes): Added.
	(switchEndianness): Calls padBytes to make sure all manipulated binary
	strings are proper byte multiples.
	(refreshList): Calls padBytes, fixed up some endianness problems.
	(pcEntryDec): Refactored.
	(pcEntryHex): Added.

2006-07-13  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java (getProcessObserverControls): 
	Add NPE checks.

2006-07-12  Mike Cvet  <mcvet@redhat.com>

	* memory/MemoryWindow.java (refreshList): More endianness tuning
	as well as formatting of negative values in various bitsizes.

2006-07-12  Adam Jocksch  <ajocksch@redhat.com>

	* SessionManagerGui.java: Replaced all occurances of System.exit(0) with
	Gtk.mainQuit().

2006-07-12  Nurdin Premji  <npremji@redhat.com>

	* glade/procpop.glade: Added accessibility Information for EventViewer.

2006-07-12  Mike Cvet  <mcvet@redhat.com>

	* memory/MemoryWindow.java: Cleaned up and commented.
	(refreshList): Now using BigInteger to represent any 64-bit words
	so that they can properly and correctly be displayed in positive 
	and negative binary form.

2006-07-11  Mike Cvet  <mcvet@redhat.com>

	* memory/MemoryWindow.java: Cleaned up some private 
	variables, class is now created from a Factory, other bittiness
	and endianness fixes.
	(setTask): Fixed a combobox display bug
	(.comboBoxEvent): Fixed a combobox selection bug
	(refreshList): Enabled endian-based reads
	(switchEndianness): Refactored, now switches endianness properly,
	and fixed an array bounds bug.
	(recalculate): Removed redundant code now provided by rowAppend().
	(rowAppend): Added.
	(handleFromSpin): Enabled a check for spin bounds, Removed 
	redundant code now provided by rowAppend().
	(handleToSpin): Ditto and ditto.
	* glade/memorywindow.glade: Fixed some alignment and window 
	titles.
	* glade/registerwindow.glade: Fixed title. 
	* Gui.java (Gui): Removed reference to static MemoryWindow via 
	WindowManager.
	* register/RegisterWindow.java (switchEndianness): Refactored, and
	fixed an array bounds bug.

2006-07-10  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/window.glade: Added scrollWindows to Filters and actions
	in EditObserverDialog. 

2006-07-10  Adam Jocksch  <ajocksch@redhat.com>

	* memory/MemoryWindow.java (reverse): Ported endianess fix from
	RegisterWindow.java.

	* register/RegisterWindow.java (reverse): Renamed to switchEndianess,
	now correctly switches the byte order and not the bit order.

2006-07-07  Adam Jocksch  <ajocksch@redhat.com>

	* register/RegisterWindow.java (setTask): Now uses a seperate column to
	enable right-justification.

	* register/RegisterWindow.java (setTask): Now sets right alignment on
	data columns.

	* Gui.java (Gui): Now keeps track of the proper directory for the glade
	files and no longer initializes the register window through the
	WindowManager.
	* register/RegisterWindow.java (gladePath): Added.
	(load): Now refreshes the list after preferences have been loaded.

2006-07-07  Phil Muldoon  <pmuldoon@redhat.com>

	* SessionLauncher.java: New.
	
	* SessionManagerGui.java (getDebugSingleProcess): Only launch source window
	on OK response.

2006-07-07  Nurdin Premji  <npremji@redhat.com>

	* glade/procpop.glade: Made main log window and process/task tree resizable.

2006-07-06  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java: Apply GNU Format.
	(setEditSessionMode): Set default message.
	(setInitialName): Added.
	
	* druid/CreateFryskSessionDruid.java (getProcessSelectionControls):
	Make Info message dual purpose. Allow setting of markup.
	Allow setting of text. Allow icon change.
	* glade/frysk_create_session.glade: Remove old warning error message.
	Fix labels to be non-temporal and in-line with review.
	
	* glade/frysk_session_manager.glade: Remove Window hint Dialog.

	* SessionManagerGui.java : Apply GNU Format.
	(toggleControls): Fix button sensitivity modes.
	(setButtonStates): Ditto.

2006-07-05  Mike Cvet  <mcvet@redhat.com>

	* memory/MemoryFormatDialog.java (save): Corrected preferences saving
	error.
	(load): Corrected preferences loading error.
	* glade/memorywindow.glade: Added combobox for bit sizes, scrollbars, and
	edited display properties; spinButtons for memory address manipulation.
	* memory/MemoryWindow.java (recalculate): Added.
	(handleFromSpin): ditto.
	(handleToSpin): ditto.
	(setTask): Now performs the bit format calculations externally, so that the
	information can be re-calculated for other bitsizes.
	(MemoryWindow): Added some more private variables used in recalculate().

2006-07-03  Mike Cvet  <mcvet@redhat.com>

	* register/RegisterWindow.java (saveBinaryValue): Small spelling refactor.
	* memory/MemoryFormatDialog.java (MemoryFormatDialog): Beginning to build
	support for multiple endians and radix formats.
	(save): ditto.
	(load): ditto.
	* memory/MemoryWindow.java: Edited and added structures to support
	endian-ness and multiple bit formats, added some macros.
	(reverse): Added.
	(saveBinaryValue): ditto.
	(DecCellListener): ditto.
	(HexCellListener): ditto.
	(OctCellListener): ditto.
	(BinCellListener): ditto.
	(signExtend): ditto.
	(setTask): Now checking for endian-ness, bit formats.
	* glade/memorywindow.glade: Rebuilt the Memory Window from scratch with new
	functionality to display memory between user-defined areas.

2006-06-30  Mike Cvet  <mcvet@redhat.com>

	* memory/MemoryFormatDialog.java: Added.
	* memory/MemoryWindow.java: Added.
	* glade/memorywindow.gladep: Added.
	* glade/memorywindow.glade: Added.
	* register/RegisterFormatDialog.java: Added Frysk license and formatted
	with new GNU formatter.
	* register/RegisterWindow.java: Ditto.
	* Gui.java (Gui): Added new LibGlade for MemoryWindow and initialized it.

2006-06-29  Nurdin Premji  <npremji@redhat.com>

	* glade/procpop.glade: Added proper names for all the widgets in procpop.

2006-06-27  Phil Muldoon  <pmuldoon@redhat.com>

	* sessions/DebugProcess.java (update): Remove addProc().

2006-06-27  Mike Cvet  <mcvet@redhat.com>

	* Gui.java (gui): Added functionality for creating and looking for 
	lockfiles in ~/.frysk to show that frysk is already running. If the lock
	exists, and belongs to a currently-running instance then exit. Fixes #2857.
	A bug prevents the window from being raised properly.
	(importPreferences): Removed directory check, redundant from the lockfile
	checking.
	(MultipleInvocationEvent): Added - signals for multiple startups.
	(InterruptEvent): Added - exit cleanly after an interrupt.

2006-06-27  Adam Jocksch  <ajocksch@redhat.com>

	* register/RegisterWindow.java (setTask): Now sets the title of the
	window to a format matching that of the source window.

	* glade/frysk_source.glade: Increased the size of the variable trace
	pane.

2006-06-26  Phil Muldoon  <pmuldoon@redhat.com>

	* SessionManagerGui.java (getSessionManagementControls): Set doSort().
	* Gui.java (setupCoreLogging): Setup guiEventLogger. Remove debug output.
	
	* glade/frysk_session_manager.glade: Changed labels, button
	in conjuction with suggestions.
	* glade/procpop.glade: Removed DEMO from custom observers
	menu item.

	* Gui.java (setupCoreLogging): Added. Setup core logging nicely.
	(gui): Remove old force Level.FINE core logging.

2006-06-26  Adam Jocksch  <ajocksch@redhat.com>

	* glade/registerwindow.glade: Set the border width on the main
	register window to 12 and set the minimum height and widgth on the
	register and register format dialogs.

2006-06-26  Phil Muldoon  <pmuldoon@redhat.com>

	* Gui.java (gui): Added core logger thump (commented out)

2006-06-26  Rick Moseley  <rmoseley@redhat.com>

	* test/dogtail_scripts/FryskHandler.py:  Fix typo.

2006-06-24  Phil Muldoon  <pmuldoon@redhat.com>

	* Gui.java (Gui): Added log event before frysk core
	window is populated. Cleaned up code. Indented.

2006-06-24  Sami Wagiaalla  <swagiaal@redhat.com>

	* Gui.java (menuItemEvent): put back old dummy consol window, had
	commented it out by mistake.

2006-06-23  Ivan Pantuyev  <ipantuye@redhat.com>
	
	* Gui.java: Added a vte window to the taskbar right-click menu.

2006-06-23  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/frysk_create_session_druid.java: Add prompting tips.

2006-06-23  Adam Jocksch  <ajocksch@redhat.com>

	* glade/frysk_source.glade: Set main window visiblity to false to fix
	bug #2837.

2006-06-23  Nurdin Premji  <npremji@redhat.com>

	* test/GuiTestLib.java: Fixed a renaming OffspringObserver to
	ProcTasksObserver and ProcObserver.Offspring to ProcObserver.ProcTasks.
	
2006-06-22  Phil Muldoon  <pmuldoon@redhat.com>

	* Gui.java (setupErrorLogging): Stop console spam.
	
	* glade/frysk_create_session_druid.glade: Removed tagSet controls.
	* druid/CreateFryskSessionDruid.java (getProcessObserverControls): 
	Removed.
	(attachLinkedListsToWidgets): Remove references to tagSets.
	(CreateFryskSessionDruid): Ditto.

2006-06-22  Mike Cvet  <mcvet@redhat.com>

	* test/GuiTestLib.java: Observer add failures are now logged properly.

2006-06-21  Mike Cvet  <mcvet@redhat.com>

	* sessions/DebugProcess.java (load): Missing loaded observers are now
	caught with errors printed.

2006-06-21  Phil Muldoon  <pmuldoon@redhat.com>

	* glade/procpop.glade: Added warning icon and text to EditObserverDialog.

2006-06-20  Mike Cvet  <mcvet@redhat.com>

	* glade/registerwindow.gladep: Added some accessibility information for
	items in the register window.

2006-06-20  Adam Jocksch  <ajocksch@redhat.com>

	* register/RegisterWindow.java (setTask): No longer uses dummy data.

2006-06-20  Mike Cvet  <mcvet@redhat.com>

	* Gui.java (menuItemEvent): Removed the session manager option from the
	taskbar, via #2808 as there is no clean way to back out of the currently
	running session.

2006-06-19  Phil Muldoon  <pmuldoon@redhat.com>


	* druid/CreateFryskSessionDruid.java (getProcessSelectionControls.entryEvent): 
	Added listener for same session name being added.
	(getDruidStructureControls): get warning label and icon.
	
	* glade/frysk_create_session_druid.glade: Added warning label and icon.

2006-06-19  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java (getProcessSelectionControls.buttonEvent): 
	Added iterator null	check test.

	(entryEvent): Added listener for same session name being added.
	
	* SessionManagerGui.java: Remove debugExecutable glade based variables. 
	(getDebugExecutableControls): Removed.
	(setButtonStates): Alter states to reflect removed controls.
	(toggleControls): Set toggles-states to toggle debugSingleProcessAction.
	
	* glade/frysk_session_manager.glade: Removed Debug Executable radio button 
	and file chooser.
	

2006-06-16  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java (getProcessObserverControls):
	Added observerDescriptionTextView TextView.
	Added observerDescBuffer TextBuffer.
	* glade/frysk_create_session_druid.glade: Added description textview
	for observers.

	* glade/procpop.glade: Added Observer Description
	to editObserverDialog.

	* Gui.java: Added Session Manager to taskbar
	control center.
	* SessionManagerGui.java: Set the Frysk icon
	* CreateFryskSessionDruid.java: Ditto.

2006-06-15  Phil Muldoon  <pmuldoon@redhat.com>

	* SessionManagerGui.java (getSessionManagementControls):
	setStickySelect true.

2006-06-15  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Finished off accessability
	info.

2006-06-15  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java (setNewSessionMode): Add
	Cancel Button. Create edit session boolean identifier.
	(getDruidStructureControls): Added edit session name
	
	* SessionManagerGui.java: Added double-click listener to
	launch a session.
	(getSessionManagementControls): Remove cell renderer text 
	edit event; it was interfering with double click listener.

2006-06-14  Phil Muldoon  <pmuldoon@redhat.com>

	* SessionManagerGui.java (lifeCycleQuery): Fix bz 2769. 
	Change behaviour of Window close event to System.exit(), 
	not Window.hideAll().

2006-06-14  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: removed all refresh buttons.
	Added some padding, removed borders of proc view.
	Added partial accessability info.
	Removed ProgramView stuff.

2006-06-14  Andrew Cagney  <cagney@redhat.com>

	* test/dogtail_scripts/frysk_suite.sh: Rename ...
	* test/dogtail_scripts/frysk_suite.in: ... to this.

2006-06-13  Phil Muldoon  <pmuldoon@redhat.com>

	* Gui.java: Add option to restart core event loop.
	Rewrote error message.

2006-06-12  Phil Muldoon  <pmuldoon@redhat.com>

	* glade/frysk_create_session_druid.glade: Added spacing consistent
	with HIG. Removed Host button.
	* druid/CreateFryskSessionDruid.java: Removed host based java controls.

	* glade/frysk_session_manager.glade: Added spacing. Added
	proper X-Align of single process launch button. Renamed
	Title.

2006-06-12  Phil Muldoon  <pmuldoon@redhat.com>

	* SessionManagerGui.java (getDebugSingleProcess): Added.
	* glade/frysk_session_manager.glade: Added launch running process
	to source window button.
	
	* glade/frysk_session_manager.glade: Change scrollbar policy
	of previous session listbox to automatic.

2006-06-10  Phil Muldoon  <pmuldoon@redhat.com>

	* glade/procpop.glade: Make procpop window visible=false 
	on startup.
	* druid/CreateFryskSessionDruid.java (getDruidStructureControls): 
	Simply nextButton, cancelButton, finishButton, nextButton and 
	backButton due to session management divorce form the Druid.

2006-06-09  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java (getNumberSuffix): Removed.
	(copySession): Removed.
	(toggleWarning): Removed.
	(getDruidManagerControls): Removed.
	
	* glade/frysk_create_session_druid.glade: Removed
	Session Management controls.
	* glade/frysk_session_manager.glade: New file. Extrude
	controls from frysk_create_session_druid.glade and encompass
	in own GUI. 

2006-06-08  Phil Muldoon  <pmuldoon@redhat.com>

	* SessionManagerGui.java: New File. Session Management GUI.
	* Gui.java (Gui): Added SessionManager instantiation.

2006-06-08  Nurdin Premji  <npremji@redhat.com>

	* test/GuiTestLib.java: Changed references from "Tasks" to 
	"Offspring" and "TasksObserver" to "OffspringObserver"

2006-06-07  Adam Jocksch  <ajocksch@redhat.com>

	* DummySourceWindow.java (DummySourceWin): No longer calls set dummy
	paths method in SourceWindowFactory, this is expected to temporarily
	break the dummy source window.
	* Gui.java (gui): No longer calls setTestFilesPath.

2006-06-07  Sami Wagiaalla  <swagiaal@redhat.com>

	* Gui.java: Added a file check before frysk tries
	to open settings file.

2006-06-06  Mike Cvet  <mcvet@redhat.com>
        
    * ListView.java: Added a check for null selected objects
    * druid/CreateFryskSessionDruid.java: Eliminated nullpointers from tapping
    enter on a selected object in the ListView (Fixes 2720).
    * druid/CreateFryskSessionDruid.java: fixed the way currentSession is
    assigned when selecting previous sessions from the ListView so that it
    does not get overwritten if it is selected and then a new session with
    name is selected (fix for 2719).

2006-05-31  Sami Wagiaalla  <swagiaal@redhat.com>

	* druid/CreateFryskSessionDruid.java: added moving to
	child proc of node proc is null (fix for 2702).
	
2006-05-31  Sami Wagiaalla  <swagiaal@redhat.com>

	* druid/CreateFryskSessionDruid.java: removed
	creation of new session when cancel button is clicked
	and added currentSession.donotSave() (patch by 
	mcvet@redhat.com fix for 2688).

2006-05-31  Sami Wagiaalla  <swagiaal@redhat.com>

	* Gui.java: Added code for starting the refresh timer
	as an event that is handled /after/ Gtk.main() is 
	started (fix for 2702).

2006-05-30  Andrew Cagney  <cagney@redhat.com>

	* test/GuiTestLib.java: Use frysk.proc.TasksObserver.

2006-05-26  Sami Wagiaalla  <swagiaal@redhat.com>

	* sessions/DebugProcess.java: using getNiceExecutablePath
	instead of getFullExecutablePath.
	* glade/procpop.glade: Added a status bar.
	* druid/CreateFryskSessionDruid.java: using getNiceExecutablePath
	instead of getFullExecutablePath.

2006-05-19  Sami Wagiaalla  <swagiaal@redhat.com>

	* druid/CreateFryskSessionDruid.java: replace getCommand with
	getExecutableName wich "does the right thing".

2006-05-19  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java (getDruidStructureControls):
	Add support for launching old sessions.
	
	* sessions/SessionManager.java (clear): Rewrite. Move new to
	class init.
	* druid/CreateFryskSessionDruid.java (copySession.buttonEven): 
	Added null selection test.
	(toggleWarning): New.
	(buttonEvent): 
	* druid/CreateFryskSessionDruid.java (editSession.buttonEven): 
	Ditto.
	* glade/frysk_create_session_druid.glade: Added warning label
	text.

2006-05-19  Sami Wagiaalla  <swagiaal@redhat.com>

	* sessions/Session.java: Added populateProcs wich calls
	populateProcs on all of its DebugProcesses.
	* sessions/DebugProcess.java (populateProcs): Made populateProcs
	public so it can be called when a session is needed to be brought
	alive.
	Removed calls to populateProcs on load left it to clients.
	
2006-05-19  Sami Wagiaalla  <swagiaal@redhat.com>

	* sessions/DebugProcess.java: Added code for making the session
	live by searching the proc list for matching procs. 
	* druid/CreateFryskSessionDruid.java: Refactored ProcData to
	GuiData. Fixed bug with updating current observer when a loaded observer
	is selected.

2006-05-19  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java (EditButton.buttonEvent): Added edit button
	listener.
	(CopyButton.buttonEvent): Save after copy.
	(SaveButton.buttonEvent): Added save button listener.
	(CancelButton. buttonEvent): Added cancel button listener.
	(lifeCycleQuery): Added. Hide on Close.
	(Previousessions.toggleEvent): Added in Edit/Delete/Close sensitivity events.
	
	* glade/frysk_create_session_druid.glade: Added Edit, Delete and Save functionality.
	Added Cancel and Save for Edit.

2006-05-18  Phil Muldoon  <pmuldoon@redhat.com>

	* sessions/SessionManager.java (SessionManager): Moved data structure
	initialization to load().
	(load): Initialize data structures hashmap and linkedlist.
	(clear): Clean data structures.

2006-05-17  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java (attachLinkedListsToWidgets): 
	Added method to re-attach linkedlist on current session object change.
	* sessions/DebugProcess.java (load): Fixed tagset loading
	to correctly load tagset by name.

2006-05-17  Andrew Cagney  <cagney@redhat.com>

	* test/GuiTestLib.java: Comment out println calls.

2006-05-17  Sami Wagiaalla  <swagiaal@redhat.com>

	* test/TestSessionSaveLoad.java (testSaveLoad): updated constructor
	of debugProcess.
	* sessions/SessionManager.java: Added a fuction to check if a
	new session name is already in use or not.
	* sessions/DebugProcess.java: Added code to add selected session
	Observers to the current proc.
	Changed constructor to ask for executbalePath as well as name.
	* druid/CreateFryskSessionDruid.java (buttonEvent): Added a command
	to set the currently active session.
	(addProcessParent): Changed instanication of debug process to pass
	both name, and executable path.

2006-05-16  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java (getProcessExitControls): Removed.
	(getEntryNameControls): Removed.
	(getNumberSuffix): Added. Provide correct st,nd,rd or th suffix.
	(copySession): Added. Given a source session, copy it and name it 
	accordingly.
	(getDruidManagerControls): Inject edit listener into PreviousSessions
	Listview. On Edited event, delete old and create new Session. Added
	SizeGroups to manage line-ups.
	(newSession.newSession):  Fix bz 2661. Check if new session exists.
	(nameEntry.entryEvent): Set state of Next button on name.
	(CopySession.buttonEvent): On click, copy session.
	(DeleteSession.buttonEvent): On Click, delete session.
	
	* glade/frysk_create_session_druid.glade: Removed process exit
	selection selection screen. Added Copy, Edit and Delete buttons.
	Gave tags names, and spaced them accordingly. Added a 6 point 
	border so that tags	and notebook content don't overlap. Moved
	Session Name to front page, and remove last page.
	
	* sessions/Session.java (Session): Added constructor
	that takes a copy of the passed Session argument.
	(getCopy): Added. Create copy of Session.
	* sessions/DebugProcess.java (DebugProcess): Added constructor
	that takes a copy of the passed DebugProcess argument.
	(getCopy): Added. Create copy of DebugProcess.

2006-05-11  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java (addProcessParent): Save
	the Proc.getCmdLine()[0] as name, instead of Proc.getCommand().

2006-05-10  Adam Jocksch  <ajocksch@redhat.com>

	* glade/frysk_source.glade: Added accesibility information.
	* glade/frysk_source_prefs.glade: Ditto.
	* glade/registerwindow.glade: Ditto, also removed Up/down buttons
	from register formats window.
	* register/RegisterFormatDialog.java: (RegisterFormatDialog): Removed
	code for up/down buttons, as these have been removed.
	(moveColumnUp): Removed.
	(moveColumnDown): Ditto.
	* register/RegisterWindow.java (setTask): Now sets columns to be
	reorderable.
	(refreshList): Made slight modifications to register formatting.

2006-05-09  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java (setUpCurrentPage): Fix
	http://sourceware.org/bugzilla/show_bug.cgi?id=2640.
	* glade/frysk_create_session_druid.glade: Added ldimaggi@redhat.com
	patches.

2006-05-04  Andrew Cagney  <cagney@redhat.com>

	mkenum.sh changed to generate different constant names.
	* test/GuiTestLib.java: Update.

2006-05-04  Sami Wagiaalla  <swagiaal@redhat.com>

	* test/TestPrototypeCopying.java: Removed debug output.
	* test/GuiTestLib.java : New file. A library that contains
	the start of a test proc that the gui can use for testing
	as per bz 1985. 

2006-05-03  Phil Muldoon  <pmuldoon@redhat.com>

	* test/TestTagsetSaveLoad.java (testSaveLoad): New. Test
	Save/Load functionality of TagsetManager (and also,
	Tagset.java and Tag.java).

2006-05-02  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java (getDruidManagerControls): Added
	first page sessions manager.
	(buttonEvent): Set the druid to close on Finish.
	(getDruidManagerControls): Set current session equal
	to selected session in Session tree view.

2006-05-02  Sami Wagiaalla  <swagiaal@redhat.com>

	* test/TestSessionSaveLoad.java: Organized imports.
	* sessions/DebugProcess.java: Organized imports.

2006-05-01  Phil Muldoon  <pmuldoon@redhat.com>

	* sessions/DebugProcess.java (save): Added TagSets to save logic.
	(load): Added TagSets to load logic.
	
	* druid/CreateFryskSessionDruid.java (getTagsetObserverControls): Implement tagSetSelection 
	GUI controls. Use tagSet manager data-model. Define relationship between tagSets and 
	session process.	
	(getProcessObserverControls): Implement observerSelection GUI controls. Use ObserverManager 
	data-model. Define relationship between selected Observer and session process.
	(getEntryNameControls): New. Setup Session Name controls. Add listener to set Finish button
	validation.
	(getDruidStructureControls): Added Finish button logic. Add session to SessionManager.
	Save SessionManager.
	* glade/frysk_create_session_druid.glade: Renamed some labels to flow better.
	Added session name screen.	
	* druid/ObserverDataModel.java: removed
	* druid/ProcessObserverDataModel.java: removed
	* druid/ObserverSelectionTreeView.java: removed
	* druid/ProcessObserverSelectionTreeView.java: removed
	
2006-04-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/frysk_create_session_druid.glade: Made druid hidden.

2006-04-26  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Added resume,block,ask me options
	to the observer dialog.

2006-04-25  Phil Muldoon  <pmuldoon@redhat.com>

	* sessions/DebugProcess.java: Add in super(name,tooltip) call.

	* druid/AddedProcTreeView.java: Removed. Simplify with CheckedListView.
	* druid/ExitProcessGroupsDataModel.java: Ditto.
	* druid/ProcessExitSelectionTreeView.java: Ditto.

	* druid/CreateFryskSessionDruid.java: Added new Session instance.
	(addProcessParent): Add routine to add new process types to live session
	data model.
	(changeGroupState): Modify and simply the 3 corner cases for adding a process
	group to a live sesssion object (no parent, parent only, parent and children).
	(getProcessSelectionControls): Mount the addedProcTreeView using Listview. Link
	datamodel to session object. Rework state changes to follow simplified states.
	(getProcessExitControls): Mount the processExitSelectionTreeView using the
	CheckedListView. Link datamodel to session object. Add TaskTerminatingObserver
	on selection of CellRendererToggle.
	(nextPage): Simply, and removing data model swapping. New Session model 
	does not need this (model is now unified).

2006-04-24  Adam Jocksch  <ajocksch@redhat.com>

	* register/RegisterWindow.java (setTask): Now uses saveBinaryValue
	to do the brunt of the work.
	(saveBinaryValue): No longer refreshes list, explicit call is
	required, also propery sign-extends the LE binary string.	

2006-04-21  Sami Wagiaalla  <swagiaal@redhat.com>

	* test/TestSessionSaveLoad.java: New testcase to text session
	saving and loading.
	* sessions/SessionManager.java: Added saving/loading.
	* sessions/DebugProcess.java: Added saving/loading code.
	made DebugProcess a child of GuiObject.
	* sessions/Session.java: Ditto.
	Added removeProcess method.

2006-04-19  Sami Wagiaalla  <swagiaal@redhat.com>

	* sessions/DebugProcess.java: New file.
	* sessions/Session.java: New file.
	* sessions/SessionManager.java: New file.

2006-04-19  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/ObserverDataModel.java (ObserverDataModel): Added boolean to the data
	store to indicate if selected observer has been selected.
	* druid/ObserverSelectionTreeView.java (mountDataModel): Added boolean column
	(CellRendererToggle) to indicate selected observer status.
	* druid/CreateFryskSessionDruid.java (getProcessObserverControls): Removed
	observer add/remove buttons code logic.
	* glade/frysk_create_session_druid.glade: Removed
	observer add/remove buttons.

2006-04-18  Sami Wagiaalla  <swagiaal@redhat.com>

	* test/TestObserverSaveLoad.java (testExport): Fixed text
	case after ObserverManager changes.

2006-04-18  Phil Muldoon  <pmuldoon@redhat.com>

	* glade/frysk_create_session_druid.glade: Moved process group selection
	order from left to right.
	* druid/ExitProcessGroupsDataModel.java: Add new (DataColumnBoolean) column 
	to treeview.
	(getSelectedDC): Added getter for Boolean DataColumn.
	(ExitProcessGroupsDataModel): Update the listStore to store the boolean data
	column.
	* druid/ProcessExitSelectionTreeView.java (treeViewEvent): Added double click
	listener to set toggle value. Added CellRendererState listener.
	(mountDataModel): Add a new treeview column CellRendererToggle to hold
	selected state.


2006-04-13  Adam Jocksch  <ajocksch@redhat.com>

	* register/RegisterFormatDialog.java (RegisterFormatDialog): Now adds
	listeners to the up and down buttons for moving columns, also sets
	frysk icon as the window icon.
	(moveColumnUp): Added.
	(moveColumnDown): Added.
	* register/RegisterWindow.java (RegisterWindow): Sets the window icon
	to be the frysk icon.

2006-04-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Removed old custom observer menu
	Item.

2006-04-13  Adam Jocksch  <ajocksch@redhat.com>

	* register/RegisterWindow.java (setTask): Now sets column visibility based
	on the preference model.
	(HexCellListener): Fixed bug that wouldn't allow correct parsing of
	hex values.

	* Gui.java (Gui): Now creates register window from glade file.
	* glade/registerWindow.glade: No longer visible by default, canged
	format of window to have a close and format button at the bottom.
	* register/RegisterWindow.java (RegisterWindow): Now only takes a
	LibGlade object.
	(setTask): Added, does task-specific instantiation.
	(save): Added.
	(load): Added.
	(cellRendererTextEvent): Removed.
	(reverse): Added.
	(saveBinaryValue): Added.
	(DecCellListener): Added.
	(HexCellListener): Added.
	(OctCellListener): Added.
	(BinCellListener): Added.
	* register/RegisterFormatDialog.java: Added.

2006-04-11  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/frysk_create_session_druid.glade: Made druid hidden by
	default.
	* glade/procpop.glade: Reduce number of columns for
	action table to 4.

2006-04-11  Adam Jocksch  <ajocksch@redhat.com>

	* glade/frysk_source.glade: Reduced padding on find bar to 6, increased
	window width so mode combo box isn't obscured.
	* register/Register.java (cellRendererTextEvent): Added comment.

2006-04-07  Adam Jocksch  <ajocksch@redhat.com>

	* register/RegisterWindow.java (signExtend): Now takes the length
	to extend to in bits as well.
	(refreshList): Now gets the length of the register from the core
	and passes that through to signExtend.

	* glade/registerwindow.glade: Added combobox for setting register
	endianess.
	* register/RegisterWindow.java (RegisterWindow): Now sets the mode
	and endianess within the anonymous inner classes.
	(comboBoxEvent): Removed.
	(setFormatToHext): Ditto.
	(setFormatToDecimal): Ditto.
	(setFormatToOctal): Ditto.
	(setFormatToBinary): Ditto.
	(refreshList): Added.
	(cellRendererTextEvent): Now takes into account the endianness being
	displayed and uses refreshList to redraw the display.
	(signExtend): Added.

2006-04-07  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Added frame to observerActionsTable. Set up its
	border, spacing, number of rows properly.

2006-04-06  Adam Jocksch  <ajocksch@redhat.com>

	* register/RegisterWindow.java (cellRendererTextEvent): Added.
	(setFormatToDecimal): Now sets the current format.
	(setFormatToHex): Ditto.
	(setFormatToOctal): Ditto.
	(setFormatToBinary): Ditto.

2006-04-06  Phil Muldoon  <pmuldoon@redhat.com>

	* Gui.java (setupErrorLogging): Set error echo to console
	back on.

2006-04-06  Adam Jocksch  <ajocksch@redhat.com>

	* register/RegisterWindow.java (cellRendererTextEvent): Added.
	(setFormatToDecimal): Now sets the current format.
	(setFormatToHex): Ditto.
	(setFormatToOctal): Ditto.
	(setFormatToBinary): Ditto.

	* register: Added.
	* register/RegisterWindow.java: Added.
	* glade/registerwindow.glade: Added.
	* glade/registerwindow.gladep: Added.

2006-04-05  Adam Jocksch  <ajocksch@redhat.com>

	* Gui.java (createDummyTagsets): Now adds version strings to
	each tag.

	* Gui.java (createDummyTagsets): Created, to be used until real
	tagsets are available.

2006-04-03  Adam Jocksch  <ajocksch@redhat.com>

	* glade/frysk_source.glade: Added "Goto:" label next to toolbar
	goto entry.

	* glade/frysk_source.glade: Changed function dropdown menu to an
	Entry.

	* DummySourceWindow.java (initializePreferences): updated to match 
	Gui.java's version.
	* glade/debugresultswindow.java: Changed label for Level of Detail to 
	"Event Threshold".
	* glade/frysk_source.glade: Removed Goto line section of find area.

2006-04-02  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/ProcessObserverDataModel.java (addObserver): Added
	concrete observer type.
	* druid/CreateFryskSessionDruid.java (getProcessObserverControls): 
	Added remove and add observers. The remove obsever button is not 
	safe (due to the lack of GtkTreeRowReference in Javan-GNOME).

	* druid/ProcessObserverDataModel.java: Added New File.
	* druid/ProcessObserverSelectionTreeView.java: Added New File.
	* druid/ObserverSelectionTreeView.java (ObserverSelectionTreeView): 
	Added New File.
	* druid/ObserverDataModel.java: Added new file.
	* druid/CreateFryskSessionDruid.java (getProcessObserverControls): Added.
	observer selection stub. Built in observer addition/removal logic. Populated
	Treeview from previous process selection, and observers from ObserverManager.


	* glade/frysk_create_session_druid: Added observer apply page.
	* druid/CreateFryskSessionDruid.java (getProcessExitControls): Added logic
	for populating ExitProcessSelection.
	(nextPage): Add in population from page 1 -> page 2 (more formal method)
	needed.
	* druid/ProcessExitSelectionTreeView.java: Added.
	* druid/ExitProcessGroupsDataModel.java: Added.

2006-04-01  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java (setProcWiseTreeSelected): Added 
	convienience method to set selected state.
	(changeGroupState): Refactored and rewrote tree based process group addition
	and deletion.
	(getProcessSelectionControls): Refactored to use changeGroupState.
	(isChild): Added TreePath test.
	(deFilterPath): Added
	(setProcessNext): Simple validator to check for selected processes.
	(nextPage): Modified to dump Page 1 dateon foward button.
	(getProcessExitControls): Added population stub for process group
	exit selection.

2006-03-30  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java: Cast to 	TreeModelFilter, 
	not TreeStore. Convert to unfiltered TreePath.	Add in corner cases 
	for druid process selection.

2006-03-30  Sami Wagiaalla  <swagiaal@redhat.com>

	* test/TestPrototypeCopying.java: Changed to follow
	refactor of (filter/action)Point.

2006-03-29  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java (buttonEvent): On button add
	event, change the select component of the tree.
	* druid/AddedProcTreeView.java (AddedProcTreeView): Change to accept
	an external model and mount that.
	(mountDataModel): Add filter listener for DataModel row change events.
	Refilter on change event.


2005-03-29  Adam Jocksch  <ajocksch@redhat.com>

	* Gui.java (initializePreferences): Added template preference.
	* glade/frysk_source_prefs.glade: Added template syntax highlighting
	widgets.

2006-03-29  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java: Added listeners for
	process selection. 
	* druid/AddedProcTreeView.java: Added.

	* druid/CreateFryskSessionDruid.java: Update glade
	widget handles to reflect session glade refactor.
	* glade/frysk_create_sesison_druid.glade: Refactor
	controls to follow (Window)_(Control) naming convention.
	Rename some controls to be more context specific.

2006-03-28  Phil Muldoon  <pmuldoon@redhat.com>

	* glade/frysk_create_session_druid.glade: Added as an
	extraction from procpop.glade
	* glade/procpop.glade: Removed Session Druid.

	* Gui.java (Gui): Added source lookup for 
	seperate session glade. Need to refactor this
	into a seperate glade manager.
	
	* druid: Added namespace
	* StartDebugSession.java: Deleted.
	* druid/CreateFryskSessionDruid.java: Added and
	refactored from above.


2006-03-28  Sami Wagiaalla  <swagiaal@redhat.com>

	* test/TestObserverSaveLoad.java: Added test of copying filters
	and actions inside of {action/filter}Points.

2006-03-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Added spacing to filtersTable.

3006-03-27  Adam Jocksch  <ajocksch@redhat.com>

	* Gui.java (initializePreferences): Initializes macro preference.
	* glade/frysk_source.glade: Added widgets for macro syntax highlighting.

	* Gui.java (initializePreferences): Initializes preferences for namespace and
	include statement syntax highlighting.
	* glade/frysk_source.glade: Added widgets for namespace and include statment
	syntax highlighting.

2006-03-24  Adam Jocksch  <ajocksch@redhat.com>

	* glade/frysk_source.glade: Removed widgets for stack and variable watches,
	also added labels to frames for stakc and variable watches.

2006-03-14  Adam Jocksch  <ajocksch@redhat.com>

	* DummySourceWindow.java (initializePreferences): Added Comments
	preference to sytnax highlighting group.
	* Gui.java (initializePreferences): Ditto.
	* glade/frysk_source_prefs.glade: Added comment sytnax highlighting
	options to the sytnax highlighting page.

2006-03-14  Phil Muldoon  <pmuldoon@redhat.com>

	* glade/procpop.glade: Fixed some typos in 
	Start Debug Session window.

2006-03-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Renamed custom observer dialog
	and menu item.

2006-03-13  Adam Jocksch  <ajocksch@redhat.com>

	* Gui.java (initializePreferences): Now adds Syntax Highlighting
	preferences as a subgroup of the source window.
	* DummySourceWindow.java (initializePreferences): Ditto.
	* glade/frysk_source_prefs.glade: Hardcoded in interface for 
	editing preferences with each preference group having it's own tab
	in a notebook.

2006-03-12  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Marked new custom observers menu item
	as DEMO item.

2006-03-08  Adam Jocksch  <ajocksch@redhat.com>

	* DebugHistory.java (DebugHistory): Reset event mask to ALL_EVENTS,
	since we were missing mouse events.
	(exposeEvent): Now checks to make sure right gdkWindow was exposed,
	as well as the occurance of a NO_EXPOSE event.
	* glade/frysk_source.glade: Added tooltip to jump to function box and
	changed case of mode selector.

2006-03-07  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Changed CustomObserver window to a dialog.
	Added new customObservers dialog.
	Added new editObserver dialog.
	Made old customObservers window hidden by default.
	Removed extranious widgets and did some general clean up and
	spacing.
	Renamed okay,apply, and cancel buttons in observersDialog.
	Added a default size to observersDialog.

2006-03-07  Adam Jocksch  <ajocksch@redhat.com>

	* DebugHistory.java (DebugHistory): Now takes initial threshold,
	also changed spacing of events to 25px apiece.
	(exposeEvent): Now checks event threshold before drawing.
	(setThreshold): Added.
	(ObserverEvent): Now takes an importance.
	(ObserverEvent::draw): Now scales it's height to it's importance.
	* DummyDebugResults.java (DummyDebugResults): Now listens to the
	slider and adjusts the threshold accordingly.
	* glade/debugresultswindow.glade: Named threshold scroller.

2006-03-06  Adam Jocksch  <ajocksch@redhat.com>

	* glade/frysk_source_prefs.glade: Increased width of preferences window
	to 500.

	* glade/frysk_source_prefs.glade: Gave meaningful names to scrolled
	pane and viewport for preferences.

	* DummySourceWindow.java (initializePreferences): Copied
	from Gui.java.
	(buildHandler): Ditto.
	(setupErrorLogging): Ditto.
	(importPreferences): Ditto.
	(DummySourceWin): Now loads preferences and initializes model.

	* DebugHistory.java: Added comments.

2006-03-03  Adam Jocksch  <ajocksch@redhat.com>

	* Gui.java (initializePreferences): Added.
	* glade/frysk_source_prefs.java: Removed HBox from right side
	of widget, replaced with VBox in a scrollable area.

2006-03-01  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Fixed text != NULL bug.
	More hig compatablility changes.

2006-02-28  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Fixed vPane position... was causing
	exception when frysk is frist run.

2006-02-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Added wizzard for creating a new debug
	session.
	made lots of small changes to make frysk more HIG compatable.

2006-02-23  Adam Jocksch  <ajocksch@redhat.com>

	* DebugHistory.java: Now keeps 'events' in a Vector.
	(DebugHistory): Initializes events in the vector and sets the
	size of the widget based on the number of events.
	(exposeEvent): Delegates drawing of actual events to the events
	themselves.
	(ObserverEvent): Added, represents an event and is responsible
	for the drawing said event.
	* DummyDebugResults.java (DummyDebugResults): Checkboxes are now
	added to a SizeGroup and ColorButtons have been added next to each
	checkbox.
	* glade/debugresultswindow.glade: Fixed widget spacing and added label
	to the observer selector scrolled area.

	* DebugHistory.java: Removed extraneous import.

2006-02-22  Adam Jocksch  <ajocksch@redhat.com>

	* DebugHistory.java (exposeEvent): Added text over each 'event'.

	* glade/debugresultswindow.glade: Added.
	* glade/debugresultswindow.gladep: Added.

2006-02-18  Sami Wagiaalla  <swagiaal@redhat.com>

	* Gui.java (gui): rearanged splash screen show/hide calls
	to be done in the proper order.
	* glade/procpop.glade: Fixed proc/thread view sizes.
	Halved the size of threadView.

2006-02-18  Phil Muldoon  <pmuldoon@redhat.com>

	glade/procpop.glade: Removed unused or 
	unimplemented menu items.

2006-02-17  Phil Muldoon  <pmuldoon@redhat.com>

	* Gui.java (setupErrorHandlers): Log only to logfile
	and do not reflect to console.

	* Gui.java: Do not use Timer objects
	in splashscreen (causes sigabort on GC)
	see sourceware.org bza #2333

2006-02-16  Adam Jocksch  <ajocksch@redhat.com>
	
	* DebugHistory.java: Added.
	* DummyDebugResults.java: Added.

2006-02-15  Adam Jocksch  <ajocksch@redhat.com>

	* DummySourceWindow.java: Removed excess imports.

	* glade/frysk_source.glade: Re-added labels into glade file, changed
	padding and alignment of search bar items.
	* glade/frysk_source_prefs.glade: Changed padding.

2006-02-10  Adam Jocksch  <ajocksch@redhat.com>

	* DummySourceWindow.java: Added.
	* glade/frysk_source.glade: Removed reference to gnome library again,
	seems that glade is re-inserting it when the file it saved.

2006-02-10  Sami Wagiaalla  <swagiaal@redhat.com>

	* test/TestObserverSaveLoad.java (testExport): Cleaned up
	after test is run (closed bz 2318).

2006-02-09  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Added "Save" Button to 
	CustomObserverWindow
	* Gui.java (gui): Added splash screen showing/hiding.
	
2006-02-09  Adam Jocksch  <ajocksch@redhat.com>

	* images/SplashScreen.png: Added.

2006-02-09  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Renamed "Creat Custom Observer"
	to "Edit Custom Observers"

2006-02-09  Phil Muldoon  <pmuldoon@redhat.com>

	* glade/procpop.glade: Removed Credits button.

	* glade/procpop.glade: Added About window.

2006-02-08  Phil Muldoon  <pmuldoon@redhat.com>
	
	* Gui.java: Add Messages import statement back.

	* Gui.java: Revert i8n.

2006-02-07  Sami Wagiaalla  <swagiaal@redhat.com>

	* Gui.java (gui): Added a call to 
	ObserverManager.theManager.save().

2006-02-06  Phil Muldoon  <pmuldoon@redhat.com>

	* glade/procpop.glade: Removed View and Edit menus.

	* glade/procpop.glade: Added File -> Close menu.

2006-02-06  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Removed 'Hold' button.

2006-02-05  Andrew Cagney  <cagney@redhat.com>

	* Gui.java: New file, split out the bulk of FryskGui.
	* FryskGui.java: Split into Gui.java.

	* FryskGui.java (FRYSK_CONFIG): Delete, use Config.FRYSK_DIR.

2006-02-04  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Added a dummy lable to ActionSettins.

2006-02-03  Sami Wagiaalla  <swagiaal@redhat.com>

	* test/TestPrototypeCopying.java: New file. Test for prototype
	copying.

2006-02-02  Adam Jocksch  <ajocksch@redhat.com>

	* FryskGui.java: Now sets the icon for the procpop window.

2006-01-31  Phil Muldoon  <pmuldoon@redhat.com>

	* FryskGui.java: Externalize Strings

2006-01-31  Adam Jocksch <ajocksch@redhat.com>
	
	* glade/frysk_source.glade: Re-added "MIXED" option to mode
	selector.

2006-01-30  Adam Jocksch <ajocksch@redhat.com>

	* glade/frysk_source.glade: Removed "MIXED" option from mode selector.

2006-01-27  Phil Muldoon  <pmuldoon@redhat.com>

	* FryskGui.java (mainGui): Add hideAll() to help with
	1924

2006-01-26  Phil Muldoon  <pmuldoon@redhat.com>

	* FryskGui.java (mainGui): Use errorDialog instead of
	warnDialog.

2006-01-26  Adam Jocksch  <ajocksch@redhat.com>

	* FryskGui.java (mainGui): Now passes in "Frysk Monitor/Debugger" as
	the tooltip to the tray icon.

	* FryskGui.java (main): Forgot to remove one relative path, fixed.
	* FryskGui.java (main): No longer includes relative paths on image
	search path.

2006-01-25  Adam Jocksch  <ajocksch@redhat.com>

	* FryskGui.java (mainGui): Now takes paths for image, message bungle,
	and test files as well as for glade files; Also initializes the paths
	in Messages and SourceWindowFactory.
	(main): Now passes in paths for image, message bundle, and test files.
	* glade/frysk_source.glade: Made the trace viewer display headers.

2006-01-25  Phil Muldoon  <pmuldoon@redhat.com>

	* FryskGui.java (mainGui): Wrapped event loop in catch.

2006-01-24  Sami Wagiaalla  <swagiaal@redhat.com>

	* test/TestObserverSaveLoad.java (testExport): Added test
	for exporting and importing saved Observers.

2006-01-23  Rick Moseley  <rmoseley@redhat.com>

	* Delete the images/__MACOSX/icon/._.DS_Store file.

2006-01-18  Rick Moseley  <rmoseley@redhat.com>

	* Added frysk.desktop here.
	* frysk.desktop: changed icon name to fryskTrayIcon48.png.

2006-01-16  Rick Moseley  <rmoseley@redhat.com>

	* Actually add the icons this time.

2006-01-13  Rick Moseley  <rmoseley@redhat.com>

	* Added images/48 directory.
	* Added images/xx/fryskTrayIconxx.png files for startup sequence.

2006-01-12  Adam Jocksch  <ajocksch@redhat.com>

	* glade/frysk_source.glade: removed requires gnome tag.

2005-12-20  Adam Jocksch  <ajocksch@redhat.com>

	* glade/frysk_source_prefs.glade: Added area for the number of inlined
	scopes to display under the settings tab.

2005-12-19  Adam Jocksch  <ajocksch@redhat.com>

	* FryskGui.java (mainGui): Now uses refactored TrayIcon constructor.

2005-12-15  Adam Jocksch  <ajocksch@redhat.com>

	* FryskGui.java (mainGui): Added tray icon.

2005-12-14  Adam Jocksch  <ajocksch@redhat.com>

	* FryskGui.java (mainGui): Now initializes IconManager.

	* images: Removed old images and added new icons and images.

2005-12-10  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Renamed a few widgets. Added action
	point TreeView.

2005-12-08  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Fixed
	http://sourceware.org/bugzilla/show_bug.cgi?id=1999

2005-11-24  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.gladep: Renamed {delete/add}CustomObserver buttons.

2005-11-18  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Renamed Custom Event Observer TreeViews.
	Removed all filter widgets (using FilterWidget instead).

2005-11-17  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Added add/remove buttons to CreatCustomObserver
	window.

2005-11-15  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Added menu items for adding observers
	and creating custom observers.

2005-11-14  Adam Jocksch  <ajocksch@redhat.com>

	* glade/frysk_source.glade: Added variable trace window.

2005-11-11  Phil Muldoon  <pmuldoon@redhat.com>

	* glade/procpop.java: Added Delete button to
	ProgramViewPage.

2005-11-10  Phil Muldoon  <pmuldoon@redhat.com>

        * glade/procpop.java: Cleaned up programAddWindow

2005-11-09  Adam Jocksch  <ajocksch@redhat.com>

	* test/SourceWinRunner.java: Removed.
	* test: Removed.

2005-11-08  Adam Jocksch  <ajockshc@redhat.com>

	* test/SourceWinRunner.java: Commented out all functionality, this 
	class will be removed soon.

2005-11-07  Adam Jocksch  <ajocksch@redhat.com>

	* test/SourceWinRunner.java (mainSourceWin): Now adds inline instances.

2005-11-04  Phil Muldoon  <pmuldoon@redhat.com>

	* FryskGui.java: Changed visiblity of FRYSK_CONFIG
	to public.

2005-11-02  Adam Jocksch  <ajocksch@redhat.com>

	* test/SourceWinRunner.java (mainSourceWin): Now looks for the test .cpp
	files in the post install directory.

2005-11-02  Adam Jocksch  <ajocksch@redhat.com>

	* test/SourceWinRunner.java (main): Changed so that the generated dom 
	has multiple stack frames.
	(mainSourceWin): Ditto.

2005-11-02  Phil Muldoon  <pmuldoon@redhat.com>

	* FryskGui.java (mainGui): set MainWindow.showAll()
	* glade/procpop.glade: Set default visible property
	on Procpop, CustomObserver, Preferences, and ProgramAdd
	windows to false (to stop painting on load).

	* glade/procpop.glade: ProgramAdd. Reworked. Changed
	FileChooser. Added Name component and label guides.

2005-11-01  Phil Muldoon  <pmuldoon@redhat.com>

	* glade/procpop.glade: Removed stray alignment to fix
	scrollbar on observer listbox, and to fix bz 1563
	like symptoms.

2005-11-01  Adam Jocksch  <ajocksch@redhat.com>

	* glade/frysk_source_prefs.glade: Changed layout of syntax highlighting
	section, added tags for classes.

2005-10-28  Phil Muldoon  <pmuldoon@redhat.com>

        glade/procpop.glade: Removed Program pane
	Entry. Removed Add button. Made scrollbars
	automatic on Program pane scrolled window.

2005-10-27  Adam Jocksch  <ajocksch@redhat.com>

	* glade/frysk_source.glade: Changed minimum width of window so that
	all comboboxes are always visible.

2005-10-27  Phil Muldoon  <pmuldoon@redhat.com>

        glade/procpop.glade: Changed programAddWindow's
	TreeView name to a avoid collisions with
	procpop's program TreeView.

2005-10-17  Adam Jocksch  <ajocksch@redhat.com>

	* glade/frysk_source.glade: Removed file combobox (replaced by side pane).
	* test/SourceWinRunner.java (mainSourceWin): Changed to mimic main.
	(main): Added commented out code to print the dom after creation.

2005-10-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Removed stray alignment object 
	(fixed bz 1563).

2005-10-26  Phil Muldoon  <pmuldoon@redhat.com>

        glade/procpop.glade: Fixed broken tree scrollbar
	Added observer listbox. Tweaked layout.

2005-10-26  Adam Jocksch  <ajocksch@redhat.com>
	
	* test/SourceWinRunner (main): Now builds dom using 
	DOMTestGUIBuilder.buildDom.

2005-10-26  Adam Jocksch  <ajocksch@redhat.com>
	
	* test/SourceWinRunner (main): Commented out scope generation pending DOM 
	integration.

2005-10-24  Phil Muldoon  <pmuldoon@redhat.com>

	glade/procpop.glade: Fix typos.
	Add ProgramAddWindow.
	monitor/ActionPool.java: Ditto.
	monitor/GuiData.java: Ditto.

2005-10-24  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Added new 'add' button to ProgramView.

2005-10-20  Adam Jocksch  <ajocksch@redhat.com>

	* test/SourceWinRunner.java (main): Changed layout of test data.

2005-10-18  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Some cosmotics and lables to procpop and
	custome observer widget.

2005-10-13  Adam Jocksch  <ajocksch@redhat.com>

	* glade/frysk_source.glade: Added list to browse stack.

2005-10-13  Phil Muldoon  <pmuldoon@redhat.com>

        * glade/procpop.glade: Added Customer Observer window.

2005-10-13  Adam Jocksch  <ajocksch@redhat.com>

	* test/SourceWinRunner.java: Fixed typo for running through eclipse.

2005-10-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Added refresh period label and seperator.
	Removed a place holding label.

2005-10-12  Adam Jocksch  <ajocksch@redhat.com>

	* common/Messages.java: Moved from srcwin.

	* common/messages.properties: Ditto.

2005-10-12  Phil Muldoon  <pmuldoon@redhat.com>

	* glade/procpop.glade: Add Programs tab.
	Add alignment and spacing to some widgets.

2005-10-12  Adam Jocksch  <ajocksch@redhat.com>

	* test/SourceWinRunner.java (mainSourceWin): Added.
	(main): Changed to use new SourceWindow constructor.

2005-10-11  Adam Jocksch  <ajocksch@redhat.com>

	* glade/frysk_source.glade: Moved from src/glade.

	* glade/frysk_source.gladep: Ditto.

	* glade/frysk_source_prefs.glade: Ditto.

	* glade/frysk_source_prefs.gladep: Ditto.

2005-10-07  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Added seperater bars to give the gui a better
	look. Added model for preferanceWindow.	Added a menu bar.
	* FryskGui.java (mainGui): Added a few dummy preferance pages just
	for testing; will be removed later.

2005-10-05  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Removed LogWindow and imbedded it in procpop.

2005-10-04  Phil Muldoon  <pmuldoon@redhat.com>

	* glade/procpop.glade: Add border (4) to  GtkNoteBook.

2005-10-03  Phil Muldoon  <pmuldoon@redhat.com>

	* common/dialogs/Dialog.java (Dialog): Remove for ecj 3.1 warnings.

2005-09-30  Andrew Cagney  <cagney@redhat.com>

	* FryskGui.java: Append ABS_SRCDIR to glade search path list.

2005-09-29  Sami Wagiaalla  <swagiaal@redhat.com>

	* common/dialogs/Dialog.java: new file. root dialog.
	* common/dialogs/DialogManager.java: new file. manager with static functions
	for showing dialogs.
	* common/dialogs/WarnDialog.java: new file. a warning dialog.

2005-09-23  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Added statusWidget VBox to allow for a sopt to add
	a statusWidget when a proc is selected.
	* FryskGui.java: the backend event loop is now started /after/ the window
	shown.

2005-09-22  Andrew Cagney  <cagney@redhat.com>

	* FryskGui.java: Import frysk.Config, instead of frysk.bin.Config.

2005-09-22  Phil Muldoon  <pmuldoon@redhat.com>

	* glade/procpop.glade: Fix typos. Set Default Size to 640x480.

2005-09-19  Andrew Cagney  <cagney@redhat.com>

	* FryskGui.java: Replace Config.GLADEDIR with Config.SRCDIR with
	glade directory appended.

2005-09-19  Sami Wagiaalla  <swagiaal@redhat.com>

	* FryskGui.java: Added Config.GLADEDIR back to the search path.

2005-09-15  Phil Muldoon  <pmuldoon@redhat.com>

	* FryskGui.java: Added FRYSK_CONFIG. Moved .settings to FRYSK_CONFIG.
	(mainGui): Added FRYSK_CONFIG Location check.

2005-09-14  Phil Muldoon  <pmuldoon@redhat.com>

	* FryskGui.java (buildHandler): Make error logging non-session based.
	Added FRYSK_CONFIG. Moved .settings to FRYSK_CONFIG.
	

2005-09-14  Sami Wagiaalla  <swagiaal@redhat.com>

	* FryskGui.java (mainGui): takes an array of Strings representing glade dirs
	and searches them untill a glade file is found.
	(FryskGui): mainGui throws one exception when the entire search fails.

2005-09-13  Adam Jocksch  <ajocksch@redhat.com>

	* test/SourceWinTest.java: Renamed to SourceWinRunner.java.

2005-09-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* FryskGui.java (FryskGui): Added Config.GLADEDIR to the search path
	for .glade files.

2005-09-12  Phil Muldoon  <pmuldoon@redhat.com>
	
	* FryskGui.java (buildHandler): Write logs to user.home/.frysk/logs

2005-09-12  Andrew Cagney  <cagney@redhat.com>

	* FryskGui.java: Re-indent.  Move "main" code to "mainGui", add
	and pass additional glade_dir parameter.

2005-09-10  Andrew Cagney  <cagney@redhat.com>

	* FryskGui.java: Don't import java.util.logging.LogRecord, unused.

2005-09-09  Phil Muldoon  <pmuldoon@redhat.com>

	* FryskGui.java (FryskGui): Make sure all exceptions are
	thrown and passed to calling ErrorLogger.
	* glade/procpop.glade: Fix typos.
	Rename window to Frysk.

2005-09-09  Andrew Cagney  <cagney@redhat.com>

	* Move com/redhat/fedora/frysk/gui/ to frysk/gui/.

2005-09-08  Adam Jocksch  <ajocksch@redhat.com>

	* SourceWindow.java: Moved to srcwin/

2005-09-08  Phil Muldoon  <pmuldoon@redhat.com>

	* Exported file related ChangeLog entries to monitor/ChangeLog.
	* ActionPool.java: Moved to monitor/
	* AllProcWidget.java: Ditto.
	* EggTrayIcon.java: Ditto.
	* FryskErrorFileHandler.java: Ditto.
	* LogWindow.java: Ditto.
	* ObserversMenu.java: Ditto.
	* ProcData.java: Ditto.
	* ProcDataModel.java: Ditto.
	* Saveable.java: Ditto.
	* TaskData.java: Ditto.
	* ThreadMenu.java: Ditto.
	* TrayIcon.java: Ditto.
	* WatchMenu.java: Ditto.
	* WindowManager.java: Ditto.
	* Procpop.java: Renamed to FryskGui.java.
	

2005-09-07  Sami Wagiaalla  <swagiaal@redhat.com>	 

	* Procpop.java (importPreferences): Fixed the loading problem.

2005-09-07  Phil Muldoon  <pmuldoon@redhat.com>

	* Procpop.java (setupErrorLogging): Add a MemoryHandler to Logger.
	(setupErrorLogging): Use FryskErrorFileHandler.

2005-09-06  Sami Wagiaalla  <swagiaal@redhat.com>

	* glade/procpop.glade: Added gui components for the split.

2005-09-06  Phil Muldoon  <pmuldoon@redhat.com>

	* Procpop.java (setupErrorLogging): Added.
	(Procpop): Make errors be logged to logfile.
	(importPreferences): Ditto.
	(importPreferences): Downgrade warning on file not found.
	(main): Ditto.
	(setupErrorLogging): Made logfile timestamp saner.

2005-09-01  Phil Muldoon  <pmuldoon@redhat.com>

	* Procpop.java: Added GLADE_FILE, GLADE_DEV_PATH, GLADE_PKG_PATH constants.
	(Procpop): Added a glade fall back location.
	(main): Added some throws for preferences. Moved to its own function.
	
2005-07-21  Sami Wagiaalla  <swagiaal@redhat.com>

	* Procpop.java: Implemented and incorperated preferances model.

Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
End:
